function loadJs(url, callback) {
    var script = document.createElement('script');
    script.type = "text/javascript";
    script.src = url;
    if (typeof (callback) != "undefined") {
        if (script.readyState) {
            script.onreadystatechange = function () {
                if (script.readyState == "loaded" || script.readyState == "complete") {
                    script.onreadystatechange = null;
                    callback();
                }
            }
        } else {
            script.onload = function () {
                callback();
            }
        }
    }
    document.body.appendChild(script);
}

//加载介绍文件
// var _jsHostname = "http://192.168.13.202:5500/js/ad/homepatch.js?v=1";
var _jsHostname = "http://mobile.0416city.com/public/js/homepatch.js?v=1";
loadJs(_jsHostname + Math.round(new Date().getTime() / 60000), function () {
    console.log("js load finish");
});
