function initCalendar(id, point, settings) {
	function getCountDays() {
		var curDate = new Date();
		var curMonth = curDate.getMonth();
		curDate.setMonth(curMonth + 1);
		curDate.setDate(0);
		return curDate.getDate();
	}
	var unableP = [];
	addUnableP(point);

	function addUnableP(point) {
		for(num in point) {
			unableP.push(point[num]);
		}
	}
	var dCount = getCountDays(); //当月天数
	var curDate = new Date();
	var month = curDate.getMonth() + 1;
	var startWeek = curDate.getDay(); //当天是周几
	var innerHtml = [];
	var index = 0; //用于计数
	var isStart = false; //用于控制是否开始写数据
	for(var i = 0; i < 30; i++) {
		var count = 0;
		if((i + curDate.getDate()) <= dCount) {
			count = i + curDate.getDate();
		} else {
			if((i + curDate.getDate()) - dCount == 1) {
				month++;
			}
			var cNum = (i + curDate.getDate()) - dCount;
			count = cNum < 10 ? "0" + cNum : cNum;
		}
		var isUnable = false;
		for(num in unableP) {
			if((month + "." + count) == unableP[num]) {
				isUnable = true;
			}
		}
		if(isUnable) {
			innerHtml.push("<td><a class='unable' data-dis='1' data-hint=" + month + "." + count + ">" + count + "</a></td>");
		} else {
			innerHtml.push("<td><a data-hint=" + month + "." + count + ">" + count + "</a></td>");
		}
	}
	var outHtml = "<tr class='tr-content'>";
	var html = '<tr class="tr-top"><td>周日</td><td>周一</td><td>周二</td><td>周三</td><td>周四</td><td>周五</td><td>周六</td></tr>';
	if(startWeek == 6) {
		for(var i = 0; i < 6; i++) {
			html += outHtml;
			for(var j = 0; j < 7; j++) {
				if(index >= 30) {
					html += "<td></td>";
				} else {
					if(isStart) {
						html += innerHtml[index];
						index++;
					} else {
						if(j < startWeek) {
							html += "<td></td>";
						} else {
							html += innerHtml[index];
							index++;
							isStart = true;
						}
					}
				}
			}
			html += "</tr>";
		}
	} else {
		for(var i = 0; i < 5; i++) {
			html += outHtml;
			for(var j = 0; j < 7; j++) {
				if(index >= 30) {
					html += "<td></td>";
				} else {
					if(isStart) {
						html += innerHtml[index];
						index++;
					} else {
						if(j < startWeek) {
							html += "<td></td>";
						} else {
							html += innerHtml[index];
							index++;
							isStart = true;
						}
					}
				}
			}
			html += "</tr>";
		}
	}
	$(id).html(html);
	mui("table").on("tap", "td>a", function() {
		if($(this).attr("data-dis") != 1) {
			checked(false, this);
		} else {
			checked(true, this);
		}
	})
	/**
	 * 点击方法
	 * @param {Object} isAble 是否可以点击
	 * @param {Object} content 点击td上下文对象
	 */
	function checked(isAble, content) {
		if(isAble) {
			settings.unAbleCheck($(content).attr("data-hint"));
		} else {
			$("td>a").removeClass("active");
			$(content).addClass("active");
			settings.ableCheck($(content).attr("data-hint"));
		}
	}
	/**
	 * 判断是否为闰年
	 * @param {Object} year 年份
	 */
	function isLeapYear(year) {
		var a1 = year % 4 == 0;
		var a2 = year % 100 != 0;
		var a3 = year % 400 == 0;
		if((a1 && a2) || a3) {
			return true;
		} else {
			return false
		}
	}
}
