//自定义list ----------------------------------------------

/**
 * 自定义list-inner
 */
var listInner = Vue.extend({
	props: ['listdata'],
	template: `<li class="mui-table-view-cell mui-media mui-collapse-content" :data-index=listdata.index >
		    			<a v-if="listdata.liststyle=='one'" :href=listdata.href class="mui-navigate-right">
						{{listdata.content}}
					</a>
					<a v-if="listdata.liststyle=='one-left-img'" class="mui-navigate-right" :href=listdata.href>
		          		  <img class="mui-pull-left mui-media-object" :src=listdata.src :class=listdata.imgclass>
		          		  <div class="mui-media-body mui-ellipsis" style="position: absolute; top: 50%;transform: translateY(-50%); left: 18%;">
		          		      {{listdata.content}}
		         		   </div>			
		       		 </a>
		        		<a v-if="listdata.liststyle=='two-left-img'" :href=listdata.href class="mui-navigate-right">
		        			<img class="mui-media-object mui-pull-left" :src=listdata.src :class=listdata.imgclass>
		            		<div class="mui-media-body">
		            			{{listdata.content}}
		               		<p class="mui-ellipsis">{{listdata.hint}}</p>
		            		</div>
		        		</a>
		        		<a v-if="listdata.liststyle=='two-left-span'" :href=listdata.href class="mui-navigate-right" :onclick=listdata.onclick>
		           		<span class="mui-media-object mui-pull-left" :class=listdata.spanclass></span>
		            		<div class="mui-media-body mui-ellipsis" style="margin-right: 20px;font-size:14px">
		                		{{listdata.content}}
		                		<p class="mui-ellipsis">{{listdata.hint}}</p>
		            		</div>
		        		</a>
					<a v-if="listdata.liststyle=='two-right-img'" :href=listdata.href>
		           		<img class="mui-media-object mui-pull-right" :src=listdata.src :class=listdata.imgclass>
		            		<div class="mui-media-body">
		                		{{listdata.content}}
		                		<p class="mui-ellipsis">{{listdata.hint}}</p>
		            		</div>
		        		</a>
		        		<a v-if="listdata.liststyle=='three-right-img'" :href=listdata.href>
		           		<img class="mui-media-object mui-pull-right" :src=listdata.src :class=listdata.imgclass style="line-height: 72px;max-width: 96px;height: 72px;">
						<div class="mui-media-body">
							<div class='mui-ellipsis txt-16 style="line-height: 30px;"'><span :class=listdata.cspanclass></span>{{listdata.contentone}}</div>
							<div class='mui-ellipsis txt-14'>{{listdata.contenttwo}}</div>
							<div class='mui-ellipsis txt-14'>{{listdata.contentthree}}</div>
						</div>
		        		</a>
		        		<a v-if="listdata.liststyle=='one-right-two-button'" :href=listdata.href >
						<div class="mui-media-body" style="display:flex;">
							<div class="mui-ellipsis" style="height:33px;float:left;display:flex;align-items:Center;flex:1">{{listdata.content}}</div>
							<button :class=listdata.bClass style="float:right;" :onclick=listdata.onclickOne>{{listdata.btOne}}</button>
							<button :class=listdata.bClass style="float:right;" :onclick=listdata.onclickTwo>{{listdata.btTwo}}</button>
						</div>
		        		</a>
		    		</li>`
});
/*
 * 自定义list
 */
Vue.component('list-custom', {
	props: ['listdata'],
	template: `<ul class="mui-table-view"><list-inner v-for="item in listdata" :listdata="item"></list-inner></ul>`,
	components: {
		'list-inner': listInner
	}
});
/**
 * 自定义list-inner表单
 */
var listInnerForm = Vue.extend({
	props: ['listdata'],
	template: `<li v-else class="mui-table-view-cell mui-media mui-collapse-content" :class=listdata.class :data-from=listdata.datafrom >
		    			<a v-if="listdata.style=='choose'"  class="mui-navigate-right" data-choose="true" :id=listdata.datafrom>
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14">{{listdata.title}}</span>
						<span class="content txt-14" style="float:right;margin-right:20px">{{listdata.content}}</span>
					</a>
					<a v-else-if="listdata.style=='text'">
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14">{{listdata.title}}</span>
						<span class="content txt-14" style="float:right;margin-right:20px" >{{listdata.content}}</span>
					</a>
					<a v-else-if="listdata.style=='input'" :data-input=listdata.isMust>
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14">{{listdata.title}}</span>
						<input v-if="listdata.noEdit" readonly="readonly" :value=listdata.value :placeholder=listdata.placeholder style="border:0; text-align: right; width: 175px; float: right;color:#888;font-size: 14px"/>
						<input v-else :value=listdata.value :placeholder=listdata.placeholder style="border:0; text-align: right; width: 175px; float: right;font-size: 14px" type="text"/>
					</a>
					
					<a v-else-if="listdata.style=='idCard'"  :data-input=listdata.isMust>
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14">{{listdata.title}}</span>
						<input :value=listdata.value :placeholder=listdata.placeholder style="border:0; text-align: right; width: 175px; float: right;" maxlength="18"  type="text"/>
					</a>
					<a v-else-if="listdata.style=='phone'" :data-input=listdata.isMust>
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14">{{listdata.title}}</span>
						<input :placeholder=listdata.placeholder style="border:0; text-align: right; width: 175px; float: right;" maxlength="11" type="text"/>
					</a>
					<a v-else-if="listdata.style=='check'" >
						<span class="title txt-14">{{listdata.title}}</span>
						<input class="content" type="checkbox" />
					</a>
					<a v-else-if="listdata.style=='checked'" >
						<span class="title txt-14">{{listdata.title}}</span>
						<input checked="checked" class="content" type="checkbox" />
					</a>
					<a v-else-if="listdata.style=='text_div_one'" >
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<div class="title txt-14" style="display:inline-block">{{listdata.title}}</div>
						<div class="content txt-14 mui-ellipsis" style="margin-top:10px" >{{listdata.content}}</div>
					</a>
					<a v-else-if="listdata.style=='text_div'" >
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<div class="title txt-14" style="display:inline-block">{{listdata.title}}</div>
						<div class="content txt-14" style="margin-top:10px;white-space:normal">{{listdata.content}}</div>
					</a>
					<a v-else-if="listdata.style=='switch'" :data-switch=listdata.isMust>
						<span v-if="listdata.isMust" class="iconfont icon-xinghao txt-10"></span>
						<span class="title txt-14" style="display:inline-block">{{listdata.title}}</span>
						<div class="mui-switch mui-active">
							<div class="mui-switch-handle"></div>
						</div>
					</a>
		    		</li>
		    		`
});
/*
 * 自定义list表单
 */
Vue.component('list-form', {
	props: ['listdata'],
	template: `<ul class="mui-table-view"><list-inner-form v-for="item in listdata" :listdata="item"></list-inner-form></ul>`,
	components: {
		'list-inner-form': listInnerForm
	}
});

Vue.component('list-custom-card', {
	props: ['listdata'],
	template: `<div class="" <ul class="mui-table-view"><list-inner v-for="item in listdata" :listdata="item"></list-inner></ul>`,
	components: {
		'list-inner': listInner
	}
});
//自定义九宫格 --------------------------------------------------------
/**
 * 自定义九宫格-服务清单-inner
 * 		
 */
var serviceGridInner = Vue.extend({
	props: ['innerdata'],
	template: `<li class="mui-table-view-cell mui-media mui-collapse-content" :inner-id=innerdata.id>
					<div v-if="!innerdata.enable" disabled="disabled">
						<div type="content-pic" class="content-pic">
							<span :class=innerdata.spanclass style="color:#cacaca"></span>
							<div class="txt-14 mui-ellipsis">{{innerdata.content}}</div>
						</div>
					</div>
					<div v-else>
					<div v-if="innerdata.content=='看病就医'||innerdata.content=='BMI计算器'||innerdata.content=='检验单解读'||innerdata.content=='乙肝自测'||innerdata.content=='血型自测'||innerdata.content=='预约挂号'||innerdata.content=='门诊缴费'||innerdata.content=='检验报告'" type="content-pic" class="content-pic" data-title="no" :data-type=innerdata.opentype :data-to=innerdata.to>
					<span :class=innerdata.spanclass ></span>
						<div class="txt-14 mui-ellipsis">{{innerdata.content}}</div>
					</div>
					<div v-else type="content-pic" class="content-pic" :data-title=innerdata.content :data-type=innerdata.opentype :data-to=innerdata.to>
						<span :class=innerdata.spanclass ></span>
						<div class="txt-14 mui-ellipsis">{{innerdata.content}}</div>
					</div>
					</div>
					
				</li>`
});
/**
 * 自定义九宫格-服务清单
 */
Vue.component('service-grid-list-old', {
	props: ['sgdata'],
	template: `<div>
				<div class="mui-card" v-for="item in sgdata" :sgdata="item">
					<div class="mui-card-content">
						<div class="title"><span class="title-span" :class=item.titleclass>{{item.title}}</span></div>
							<div class="mui-card-content-inner">
								<ul class="mui-table-view mui-grid-view mui-grid-9 color8" :data-id=item.id>
									<service-grid-inner v-for="item in item.innerdata" :innerdata="item"></service-grid-inner>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>`,
	components: {
		'service-grid-inner': serviceGridInner
	}
});
/**
 * 自定义九宫格-服务清单-热门-inner
 * 		
 */
var serviceHotInner = Vue.extend({
	props: ['innerdata'],
	template: `<li class="mui-table-view-cell hot mui-media mui-collapse-content" :inner-id=innerdata.id>
					<div>
					<div type="content-pic" class="content-pic" :data-type=innerdata.opentype :data-to=innerdata.to style="position: absolute;top: 50%;transform: translate(0,-50%);">
						<span :class=innerdata.spanclass style="margin-right:5px;font-size:20px;float:left;"></span>
						<div class="content">{{innerdata.content}}</div>
					</div>
					<div class="float-right" :class=innerdata.checkclass>{{innerdata.checkcontent}}</div>
					</div>
				</li>`
});
/**
 * 自定义九宫格-服务清单-热门
 */
Vue.component('service-grid-hot', {
	props: ['shdata'],
	template: `<div>
					<div class="title"><span class="title-span" :class=shdata.titleclass>{{shdata.title}}</span></div>
					<ul class="mui-table-view" :data-id=shdata.id>
						<service-hot-inner v-for="item in shdata.innerdata" :innerdata="item"></service-hot-inner>
					</ul>
				</div>`,
	components: {
		'service-hot-inner': serviceHotInner
	}
});

/**
 * 自定义九宫格(span图标)-inner
 * 		
 */
var gridInner = Vue.extend({
	props: ['griddata'],
	template: `<li v-if="griddata.hasborder" class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3" :id=griddata.liid :class=griddata.liclass>
					<a v-if="griddata.gstyle=='gStyle4'" :href=griddata.href>
						<div >{{griddata.content}}</div>
					</a>
					<a v-else :href=griddata.href>
						<div :class=griddata.spanclass><span v-if="griddata.hasnum" class="mui-badge mui-badge-red">{{griddata.num}}</span></div>
						<div class="mui-media-body" :class=griddata.contentclass>{{griddata.content}}</div>
					</a>
				</li>
				<li v-else-if="griddata.unenable" class="mui-collapse-content mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3">
					<a>
						<div :class=griddata.spanclass ><span v-if="griddata.hasnum" class="mui-badge mui-badge-red">{{griddata.num}}</span></div>
						<div class="mui-media-body" :class=griddata.contentclass>{{griddata.content}}</div>
					</a>
				</li>
				<li v-else-if="griddata.two" class="mui-table-view-cell mui-media mui-col-xs-6 mui-col-sm-6" :class=griddata.liclass>
					<a v-if="griddata.gstyle=='gStyle5'" :href=griddata.href>
						<span :class=griddata.spanclass></span>
						<span :class=griddata.contentclass>{{griddata.content}}</span>
					</a>
				</li>
				<li v-else-if="griddata.font" class="font-li mui-collapse-content mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3">
					<a>
						<div class="font-one">{{griddata.fontone}}</div>
						<div class="font-two" >{{griddata.fonttwo}}</div>
						<div class="font-three" >{{griddata.fontthree}}</div>
					</a>
				</li>
				<li v-else style="border:0" class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 mui-collapse-content" :class=griddata.liclass :id=griddata.liid>
					<a v-if="griddata.gstyle=='gStyle1'" :data-type=griddata.openType :href=griddata.href :home-login=griddata.homeLogin>
						<span :class=griddata.spanclass ></span>
						<div class="mui-media-body txt-14 " >{{griddata.content}}</div>
					</a>
					<a v-else-if="griddata.gstyle=='gStyle2'" :href=griddata.href :data-id=griddata.id :class=griddata.aclass id="kuai" :home-login=griddata.homeLogin>
						<span :class=griddata.spanclass class="services-icon"></span>
						<div class="mui-media-body txt-14 mt4" id="fbai">{{griddata.content}}</div>
					</a>
					<a v-else-if="griddata.gstyle=='gStyle3'" :href=griddata.href>
						<div class="mui-ellipsis">{{griddata.content}}</div>
					</a>
					
					<a v-else :href=griddata.href>
						<span :class=griddata.spanclass><span v-if="griddata.hasnum" class="mui-badge mui-badge-red">{{griddata.num}}</span></span>
						<div class="mui-media-body" :class=griddata.contentclass>{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义九宫格
 */
Vue.component('grid-custom', {
	props: ['griddata', 'ulclass', 'ulid'],
	template: `<ul class="mui-table-view mui-grid-view mui-grid-9" :id=ulid :class=ulclass><grid-inner v-for="item in griddata" :griddata="item"></grid-inner></ul>`,
	components: {
		'grid-inner': gridInner
	}
});

/**
 * 自定义九宫格(span图标)3格点击-inner
 * 		
 */
var gridInnerHeader = Vue.extend({
	props: ['griddata'],
	template: `<li style="border:0" class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-4" :class=griddata.liclass :data-index=griddata.index>
					<a v-if="griddata.gstyle=='gStyle1'" :href=griddata.href >
						<span :class=griddata.spanclass></span>
						<div class="mui-media-body" >{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义九宫格3格点击
 */
Vue.component('grid-custom-header', {
	props: ['griddata', 'ulclass'],
	template: `<ul class="mui-table-view mui-grid-view mui-grid-9" :class=ulclass><grid-inner-header v-for="item in griddata" :griddata="item"></grid-inner-header></ul>`,
	components: {
		'grid-inner-header': gridInnerHeader
	}
});
/**
 * 自定义九宫格(span图标)-inner
 * 		
 */
var gridInnerHead = Vue.extend({
	props: ['griddata'],
	template: `<li v-if="griddata"  class="mui-table-view-cell mui-media mui-col-xs-3 mui-col-sm-3" style="border: 0;">
					<a :href=griddata.to :class=griddata.aclass :data-login=griddata.dataLogin>
						<span :class=griddata.spanClass></span>
						<div class="mui-media-body" style="font-size: 12px;">{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义分栏九宫格(带头部)
 */
Vue.component('grid-custom-head', {
	props: ['griddata'],
	template: `<div>
				<div class="mui-card" v-for="i in griddata" style="margin: 10px 0 0 0;">
					<div class="mui-card-header">
					<div>
						<span :class=i.classTitle></span>
						<span>{{i.title}}</span>
					</div>
					    
					</div>
					<div class="mui-card-content">
						<ul class="mui-table-view mui-grid-view mui-grid-9" style="border: 0;background: #FFF;">
							<grid-inner-head v-for="item in i.inner" :griddata="item"></grid-inner-head>
						</ul>	
					</div>
				</div>
				</div>`,
	components: {
		'grid-inner-head': gridInnerHead
	}
});

/**
 * 自定义九宫格(span图标)-inner
 * 		
 */
var gridInnerSlide = Vue.extend({
	props: ['griddata'],
	template: `<li class="mui-table-view-cell mui-media">
					<a :href=griddata.href>
						<span :class=griddata.spanclass></span>
						<div class="mui-media-body txt-12">{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义左右滑动九宫格
 */
Vue.component('grid-custom-slide', {
	props: ['griddata'],
	template: `<div id="Gallery" class="mui-slider">
					<div class="mui-slider-group">
						<div v-for="item in griddata" class="mui-slider-item">
							<ul class="mui-table-view mui-grid-view mui-grid-9">
								<grid-inner-slide v-for="item in item.lidata" :griddata="item"></grid-inner-slide>
							</ul>
						</div>
					</div>
				</div>`,
	components: {
		'grid-inner-slide': gridInnerSlide
	}
});
/**
 * 自定义左右滑动九宫格配套头部-inner
 * 		
 */
var innerSlideHead = Vue.extend({
	props: ['headdata', 'index'],
	template: ` <a class="mui-control-item mui-active"  :index="index" v-if="index==0">{{headdata.content}}</a>
				<a class="mui-control-item" :index="index" v-else>{{headdata.content}}</a>`

});

/**
 * 自定义左右滑动九宫格配套头部
 */
Vue.component('grid-slide-head', {
	props: ['headdata'],
	template: `<div id="segmentedControl" class="mui-scroll-wrapper mui-slider-indicator mui-segmented-control ding100c" style="color: #000000;">
					<div class="mui-scroll">
					<inner-slide-head v-for="(item,index) in headdata" :index="index" :headdata="item"></inner-slide-head>
					</div>
				</div>`,
	components: {
		'inner-slide-head': innerSlideHead
	}
});
//自定义步骤条---------------------------------------------

/**
 * 步骤条
 * 
 */
var stepInner = Vue.extend({
	props: ['stepdata'],
	template: `<div class="step">
				<div class="step-head">
					<div v-if=stepdata.isend></div>
					<div v-else class="step-line"></div>
					<div class="step-icon">
						{{stepdata.index}}
					</div>
				</div>
				<div class="step-main" :class=stepdata.contentclass>
					{{stepdata.content}}
				</div>
			</div>`
});
/**
 * 自定义步骤条
 */
Vue.component('step-custom', {
	props: ['stepdata'],
	template: `<div class="steps"><step-inner v-for="item in stepdata" :stepdata="item"></step-inner></div>`,
	components: {
		'step-inner': stepInner
	}
});

//自定义banner图-------------------------------------------------------

/**
 * 自定义banner(img图标)-inner
 * 		
 */
var bannerInner = Vue.extend({
	props: ['innerdata'],
	template: `<div class="mui-slider-item">
					<a :data-href=innerdata.href :data-type=innerdata.datatype data-isnewwebview="true">
						<img :src=innerdata.src>
					</a>
				</div>`
});
/**
 * 自定义banner
 */
Vue.component('banner-custom', {
	props: ['bannerdata'],
	template: `<div id="slider" class="mui-slider">
				<div class="mui-slider-group mui-slider-loop">
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :data-href=bannerdata[bannerdata.length-1].href :data-type=bannerdata[bannerdata.length-1].datatype data-isnewwebview="true">
							<img :src=bannerdata[bannerdata.length-1].src>
						</a>
					</div>
					<banner-inner v-for="item in bannerdata" :innerdata="item"></banner-inner>
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :data-href=bannerdata[0].href :data-type=bannerdata[0].datatype data-isnewwebview="true">
							<img :src=bannerdata[0].src>
						</a>
					</div>
				</div>
				<div class="mui-slider-indicator">
					<div class="mui-indicator mui-active" v-for="(item,index) in bannerdata"  v-if="index==0"></div>
					<div class="mui-indicator" v-for="(item,index) in bannerdata"  v-if="index!=0"></div>
				</div>
			</div>`,
	components: {
		'banner-inner': bannerInner
	}
});

/**
 * 自定义banner
 */
Vue.component('banner-custom2', {
	props: ['bannerdata'],
	template: `<div id="slider2" class="mui-slider">
				<div class="mui-slider-group mui-slider-loop">
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :data-href=bannerdata[bannerdata.length-1].href :data-type=bannerdata[bannerdata.length-1].datatype data-isnewwebview="true">
							<img :src=bannerdata[bannerdata.length-1].src>
						</a>
					</div>
					<banner-inner v-for="item in bannerdata" :innerdata="item"></banner-inner>
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :data-href=bannerdata[0].href :data-type=bannerdata[0].datatype data-isnewwebview="true">
							<img :src=bannerdata[0].src>
						</a>
					</div>
				</div>
				<div class="mui-slider-indicator">
					<div class="mui-indicator mui-active" v-for="(item,index) in bannerdata"  v-if="index==0"></div>
					<div class="mui-indicator" v-for="(item,index) in bannerdata"  v-if="index!=0"></div>
				</div>
			</div>`,
	components: {
		'banner-inner': bannerInner
	}
});
//自定义四格(首页专用)---------------------------------------------------

/**
 * 自定义四格-inner
 * 		
 */
var governmentInner = Vue.extend({
	props: ['governmentdata'],
	template: `	<div :id=governmentdata.id  style="border:0;" class="mui-table-view-cell mui-media mui-col-xs-6 mui-col-sm-6" >
						<svg class="icon svg-icon" id="listimg" aria-hidden="true">
							<use :xlink:href=governmentdata.imghref></use>
						</svg>
						<div class="listfont" style='display:inline-block;'>{{governmentdata.contentone}}
							<p>{{governmentdata.contenttwo}}</p>
						</div>
					</div>`
});
/**
 * 自定义四格-首页政务服务
 */
Vue.component('government-custom', {
	props: ['governmentdata','ulclass'],
	template: `<div id="listtwo" class="mui-table-view mui-grid-view mui-grid-9" :class=ulclass><government-inner v-for="item in governmentdata" :governmentdata="item"></government-inner></div>`,
	components: {
		'government-inner': governmentInner
	}
});

