//账户明细-start
var hotelListData = Vue.extend({
	props: ['hotellist'],
	template: `
				<div class="mui-card">
					<div class="mui-card-content">
						<div class="mui-table-view">
							<div class="mui-table-view-cell blue-bg">
								<a class="txt-10"><span class="text-white">{{hotellist.detailType}}</span><span class="mui-pull-right text-white">{{hotellist.operateDate.substring(0,10)}}</span></a>
							</div>
							<div class="mui-table-view-cell">
								<div class="mui-table txt-13">
									<div class="mui-table-cell mui-col-xs-6 mui-text-center">
										<div class="txt-13"><span class="mui-h5">收入金额</span></div>
										<div class="txt-13"><span class="mui-h5">{{hotellist.incomeAmount}}</span>元</div>
									</div>
									<div class="mui-table-cell mui-col-xs-6 mui-text-center">
										<div class="txt-13"><span class="mui-h5">支出金额</span></div>
										<div class="txt-13"><span class="mui-h5">{{hotellist.expenseAmount}}</span>元</div>
									</div>
								</div>
							</div>
							<div class="mui-table-view-cell">
								<a class="txt-10"><span class="text-grey">账户余额</span><span class="mui-pull-right">{{hotellist.accountBalance}}</span></a>
							</div>
						</div>
					</div>
				</div>`
});

Vue.component('life-hotel-list', {
	props: ['hotellist'],
	template: `<div>
				    <hotel-list v-for="item in hotellist" :hotellist="item">
					</hotel-list>			
				</div>`,
	components: {
		'hotel-list': hotelListData
	}
});
//账户明细-end

//还款明细-start
var twoListData = Vue.extend({
	props: ['twollist'],
	template: `<div class="mui-card">
									<div class="mui-card-content">
										<div class="mui-table-view">
											<div class="mui-table-view-cell blue-bg">
												<a class="txt-10"><span class="text-white">还款期次：{{twollist.repaymentPeriod}}</span><span class="mui-pull-right text-white">{{twollist.paymentDate.substring(0,10)}}</span></a>
											</div>
											<div class="mui-table-view-cell">
												<div class="mui-table txt-13">
													<div class="mui-table-cell mui-col-xs-6 mui-text-center">
														<div class="txt-13"><span class="mui-h5">本息合计</span></div>
														<div class="txt-13"><span class="mui-h5">{{twollist.sumPrincipalInterest}}</span>元</div>

													</div>
												</div>
											</div>
											<div class="mui-table-view-cell">
												<a class="txt-10"><span class="text-grey">账户余额</span><span class="mui-pull-right">{{twollist.accountBalance}}元</span></a>
											</div>
										</div>
									</div>
								</div>`
});

Vue.component('two-list', {
	props: ['twollist'],
	template: `<div>
					<two-hotel-list v-for="item in twollist" :twollist="item">
					</two-hotel-list>			
				</div>`,
	components: {
		'two-hotel-list': twoListData
	}
});
//还款明细-end