var persionData = Vue.extend({
	props: ['persiondata'],
	template: `
	<div class="address-info">
				<a class="address-name">
					<span>{{persiondata.orgName}}</span>
					<span class="mui-icon mui-icon-arrowdown"></span>
				</a>
				<div class="address-main">
						<div class="info-adrs" v-if="persiondata.address">
							<span>地址：{{persiondata.address}}</span>
							<a class="route" :data-lat=persiondata.lat :data-log=persiondata.log>
								<span class="iconfont icon-kehufangxiangluxian"></span>
								<span>路线</span>
							</a>
						</div>
						<div class="info-tel" v-if="persiondata.tel">
							<span>电话：{{persiondata.tel}}</span>
							<a class="phone" :data-phone=persiondata.tel>
								<span class="iconfont icon-dianhua1"></span>
								<span>拨号</span>
							</a>
						</div>
						<div v-if="persiondata.addressList!=''" >
						<span class="div-col">下属科室:</span>
						<div v-for="item in persiondata.addressList" class="office-name">
						<div v-for="childListItem in item.childList">
							<span>{{childListItem.orgName}}</span>
							<a>
								<span class="iconfont icon-dianhua1"></span>
								<span>拨号</span>
							</a>
						</div>
						</div>
						</div>
					</div>
			</div>
	`
});

Vue.component('address-list', {
	props: ['persiondata'],
	template: `<div class="main">
				<persion-data v-for="item in persiondata" :persiondata="item">
				</persion-data>
				</div>`,
	components: {
		'persion-data': persionData
	}
});