/*appointmentStep1*/
var orgnameData =Vue.extend({
	props:['orgnamelist_data'],
	template:`<button type="button" :data-code=orgnamelist_data.code :data-index=orgnamelist_data.orgid  class="mui-btn btn ml-15">{{orgnamelist_data.orgname}}</button>`
});

Vue.component('service-center-list-data', {
	props: ['orgnamelist_data'],
	template: `
				<div id="one" class="contentOne">
					<div v-for="orgnamelist in orgnamelist_data" class="bg-white mt15" v-if="orgnamelist.sysorgbList.length>0">
						<div class="mui-table-view-cell " :data-areacode=orgnamelist.areacode>
							{{orgnamelist.orgname}}
						</div>
						<orgname-data v-for="item in orgnamelist.sysorgbList" :orgnamelist_data="item"></orgname-data>
					</div>
				</div>`,
	components: {
		'orgname-data': orgnameData,

	}
});

/*appointmentStep3*/

var matterlistData = Vue.extend({
	props: ['matterlistdata'],
	template:`<div class="mui-table-view-cell bg-white mt15 mui-collapse-content">
					<div id="subitem" class="lh27 text-14">{{matterlistdata.subitem}}</div>					
					<div class="mui-pull-right mt10">
						<input id="subitem" type="hidden" :value=matterlistdata.subitem />
						<input id="itemguid" type="hidden" :value=matterlistdata.itemguid />
						<input id="name" type="hidden" :value=matterlistdata.name />
						<button type="button" class="mui-btn mui-btn-danger mui-btn-outlined text-12">
						我要预约
				   		</button>
					</div>
				</div>`

});

Vue.component('step3-matterlist-data', {
	props: ['matterlistdata'],
	template: `<div id="three" class="contentThree mui-hidden">
				<matterlist-data v-for="item in matterlistdata" :matterlistdata="item">
				</matterlist-data>
				</div>`,
	components: {
		'matterlist-data': matterlistData,
	}
});

//办理地点 工作时间  咨询联系电话  监督投诉渠道
Vue.component('order_content', {
	props: ['con'],
	template: `
		<div class="main">
			<div>
				<span>办理地点：</span>
				<span class="des">{{con.accept_ADDRESS}}</span>
			</div>
			<div>
				<span>工作时间：</span>
				<span class="des">{{con.accept_TIME}}</span>
			</div>
			<div>
				<span>咨询联系电话：</span>
				<span class="des">{{con.link_TEL}}</span>
			</div>
			<div>
				<span>监督投诉渠道：</span>
				<span class="des">{{con.supervise_TEL}}</span>
			</div>
			<div>
				<span>事项名称：</span>
				<span class="des">{{con.ql_NAME_YW}}</span>
			</div>
		</div>
	`

});
