//var persionData = Vue.extend({
//	props: ['persiondata'],
//	template: `<div class="mui-card">
//			<div class="mui-card-content">
//					<div class="top">
//			        	<span class="pic" :class=persiondata.spanClass></span>
//			            <span class="content">{{persiondata.content}}</span>
//						<span class="lable">{{persiondata.topLable}}</span>
//		        	</div>
//		        	<div class="bottom">
//						<div class="time">
//							<span>{{persiondata.timeState}}</span>
//							<span>{{persiondata.time}}</span>
//							<p>
//								<span>{{persiondata.state}}</span>
//								<span class="appointment_status" v-if="persiondata.appointment_status==1">预约未确认，可以取消</span>
//								<span class="appointment_status" v-if="persiondata.appointment_status==2">预约已确认，不允许取消</span>
//								<span class="appointment_status" v-if="persiondata.appointment_status==3">预约完成过期自动更新</span>
//								<span class="appointment_status" v-if="persiondata.appointment_status==0">已取消</span>
//							</p>
//							
//						</div>
//					</div>
//					<div class="bottom border-b" v-if="persiondata.appointment_status==1">
//						<div class="lale">
//							<span v-if="persiondata.cxsb=='1'" :data-index=persiondata.index>重新申报</span>
//							<span v-if="persiondata.chexiao=='1'" :data-index=persiondata.index>撤销</span>
//						</div>
//					</div>
//					<div class="bottom border-b" v-if="persiondata.appointment_status==0">
//						<div class="lale gray">
//							<span :data-index=persiondata.index>已取消</span>
//						</div>
//					</div>
//					
//			</div>
//		</div>	`
//});

var persionData = Vue.extend({
	props: ['persiondata'],
	template: `<div class="mui-card">
			<div class="mui-card-content">
				<div class="top">
		        		<span class="pic" :class=persiondata.spanClass></span>
		            <span class="content">{{persiondata.content}}</span>
					<span class="lable">{{persiondata.topLable}}</span>
		        	</div>
		        	<div class="bottom">
					<div class="time">
						<span>{{persiondata.timeState}}</span>
						<span>{{persiondata.time}}</span>
					</div>
					<div class="lale">
						<span v-if="persiondata.chexiao=='1'"  :data-index=persiondata.index>撤销</span>
						<span v-if="persiondata.cxsb=='1'"  :data-index=persiondata.index>重新申报</span>
						<span v-if="persiondata.evaluate=='1'" class="evaluate" :data-index=persiondata.index>评价</span>
					</div>
				</div>
			</div>
		</div>	`
});





Vue.component('government-persion-data', {
	props: ['persiondata'],
	template: `<div>
				<persion-data v-for="item in persiondata" :persiondata="item">
				</persion-data>
				</div>`,
	components: {
		'persion-data': persionData
	}
});


var persionDataUpLoad = Vue.extend({
	props: ['persiondata'],
	template: `<li class="mui-table-view-cell mui-collapse-content">
								<div class="li-title">附件名称</div>
								<div class="li-content">
								<span>{{persiondata.name}}</span>
								<span class="li-button">删除</span>
								</div></li>`
});

Vue.component('government-persion-upload', {
	props: ['persiondatalist'],
	template: `<div>
			<div v-for="persiondata in persiondatalist" class="content">
					<div class="mui-card">
						<div class="mui-card-content">
							<div class="title">
								<div class="num">{{persiondata.ordernumber}}</div>
								<span class="title-content">
								{{persiondata.materialname}}({{persiondata.zzfyj_page_num}}份)
								</span>
							</div>
							<div class="add">
								<div class="add-name">
									<span class="add-title">材料样例：</span>
									<span class="add-content">{{persiondata.materialexampletable==''?'无':persiondata.materialexampletable}}</span>
								</div>
								<div class="file">
								<ul class="mui-table-view" :class=persiondata.index>
									<persion-data-upload v-for="item in persiondata.innerdata" :persiondata="item" >
									</persion-data-upload>
								</ul>
								</div>
								<div class="add-bottom">
									<div v-if="persiondata.typeone" class="typeone">
										<div class="noadd">电子证照中已存在,无需提交。</div>
									</div>
									<div v-if="persiondata.typetwo" class="typetwo" style="display: inline;">
										<input type="checkbox" class="" :data-index=persiondata.index />
										<span class="type">窗口提交</span>
									</div>
									<div v-if="persiondata.typethree" class="typethree" style="display: inline;">
										<span :data-index=persiondata.ordernumber-1 class="button upload">本地上传</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				</div>
				`,
	components: {
		'persion-data-upload': persionDataUpLoad
	}
});
