var persionData = Vue.extend({
	props: ['persiondata'],
	template: `<li class="mui-table-view-cell">
					<div class="line">
						<div class="left-column">已办理事项：</div>
						<div class="right-column">{{persiondata.xmmc}}</div>
					</div>
					<div class="line">
						<div class="left-column">受理单位：</div>
						<div class="right-column">{{persiondata.ywblrcs}}</div>
					</div>
					<div class="line">
						<div class="left-column">办结时间：</div>
						<div class="right-column">{{persiondata.ywbjsj}}</div>
					</div>
					<div class="line">
						<div class="left-column">服务评分：</div>
						<div class="right-column">
							<div class="icons">
							
								<i v-if = 'persiondata.xjpj>=1' data-index="1" class="mui-icon mui-icon-star-filled"></i>
								<i v-else  data-index="1" class="mui-icon mui-icon-star"></i>
								<i v-if = 'persiondata.xjpj>=2' data-index="1" class="mui-icon mui-icon-star-filled"></i>
								<i v-else  data-index="2" class="mui-icon mui-icon-star"></i>
								<i v-if = 'persiondata.xjpj>=3' data-index="1" class="mui-icon mui-icon-star-filled"></i>
								<i v-else  data-index="3" class="mui-icon mui-icon-star"></i>
								<i v-if = 'persiondata.xjpj>=4' data-index="1" class="mui-icon mui-icon-star-filled"></i>
								<i v-else  data-index="4" class="mui-icon mui-icon-star"></i>
								<i v-if = 'persiondata.xjpj>=5' data-index="1" class="mui-icon mui-icon-star-filled"></i>
								<i v-else  data-index="5" class="mui-icon mui-icon-star"></i>
							</div>
						</div>
					</div>
					<div class="line">
						<p>{{persiondata.pjnr}}</p>
					</div>
				</li>`
});

Vue.component('government-persion-data', {
	props: ['persiondata'],
	template: `<div>
				<persion-data v-for="item in persiondata" :persiondata="item">
				</persion-data>
				</div>`,
	components: {
		'persion-data': persionData
	}
});