/**
 * 头部header
 * 
 */
var headerInner = Vue.extend({
	props: ['hdata'],
	template: `<div>
					<div v-if='hdata.hstyle=="one"'>
    						<h1 class="mui-title">{{hdata.title}}</h1>
    					</div>
    					<div v-if='hdata.hstyle=="two"'>
						<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
    						<h1 class="mui-title">{{hdata.title}}</h1>
    					</div>
    					<div v-if='hdata.hstyle=="three"'>
						<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
    						<h1 class="mui-title">{{hdata.title}}</h1>
    						<span id="header_right" :class=hdata.spanClass></span>
    					</div>
    					<div v-if='hdata.hstyle=="four"'>
						<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
						<h1 class="mui-title">
        						<div class="mui-input-row">
            						<input type="search" class="font-main" :class=hdata.inputClass :placeholder=hdata.placeholder>
        						</div>
    						</h1>
						<span id="header_right" :class=hdata.spanClass></span>
    					</div>
    					<table v-if='hdata.hstyle=="five"'>
						<tr>
							<td id="header_left" class="left">
								<span class="mui-icon mui-icon-chatbubble"></span>
								<span class="mui-icon mui-icon-arrowdown"></span>
							</td>
							<td class="search">
								<div class="mui-input-row">
									<input type="search" class="mui-input-speech" :placeholder=hdata.placeholder>
								</div>
							</td>
							<td id="header_right" class="right">
								<span class="mui-icon mui-icon-plusempty"></span>
							</td>
						</tr>
					</table>
					<div v-if='hdata.hstyle=="six"'>
						<div class="six mui-input-row">
							<input type="text" class="six mui-input-speech" :placeholder=hdata.placeholder>
						</div>
						<a class="top-button mui-action-back">取消</a>
    					</div>
    				</div>`
});
/**
 * 自定义头部
 */
Vue.component('header-custom', {
	props: ['hdata'],
	template: `<header v-if=hdata.isNav class="mui-bar mui-bar-nav"><header-inner :hdata="hdata"></header-inner></header>
				<header v-else class="mui-bar mui-bar-transparent"><header-inner :hdata="hdata"></header-inner></header>`,
	components: {
		'header-inner': headerInner
	}
});



/**
 * 自定义头部-new
 */
Vue.component('head-new', {
	props: ['dhead'],
	template: `<header class="mui-bar mui-bar-nav">
			<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
			<h1 class="mui-title">{{dhead.title}}</h1>
			<div class="header-right mui-icon mui-icon-bars" style="float: right;"></div>
		</header>`,
});

/**
 * 
 * inner-popover
 */
var popoverInner = Vue.extend({
	props: ['dinner'],
	template: `<li :id=dinner.id class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3">
   					<a href="#">
        				<span :class=dinner.class></span>
        				<div class="mui-media-body">{{dinner.content}}</div>
    				</a>
				</li>`
});
/**
 * 自定义popover
 */
Vue.component('popover-custom', {
	props: ['dpop'],
	template: `<div class="mui-popover">
				<div class="mui-scroll-wrapper">
					<div class="mui-scroll">
						<ul id="popul" class="mui-table-view mui-grid-view mui-grid-9" >
							<popover-inner v-for="item in dpop" :dinner="item"></popover-inner'>
						</ul>
					</div>
				</div>
			</div>`,
	components: {
		'popover-inner': popoverInner
	}
});