var hotelListData = Vue.extend({
	props: ['hotellist'],
	template: `<li class="mui-table-view-cell mui-media" :data-id=hotellist.id>
							<a href="javascript:;">
								<img class="mui-media-object mui-pull-left" :src=hotellist.cover>
								<div class="mui-media-body">
									<div class="name mui-ellipsis">{{hotellist.name}}</div>
									<p class="mui-ellipsis">{{hotellist.content}}</p>
								</div>
								<div class="price"><label>¥{{hotellist.price}}</label>起</div>
							</a>
						</li>`
});

Vue.component('life-hotel-list', {
	props: ['hotellist'],
	template: `<ul class="mui-table-view">
					<hotel-list v-for="item in hotellist" :hotellist="item">
					</hotel-list>						
				</ul>`,
	components: {
		'hotel-list': hotelListData
	}
});