/**
 * 
 */
Vue.component('map-detail', {
	props: ['mapdata'],
	template: `<div>
				<div class="mui-card	">
						<div class="mui-card-content">
							<div class="title mt-5"><span class="txt-18">{{mapdata.content}}</span></div>
							<div class="address mt-5">
								<span class="txt-14">{{mapdata.distance}}</span><span class="txt-14">{{mapdata.hint}}</span></div>
							<div class="organization mt-5">
								<span class="txt-12">{{mapdata.classify}}</span></div>
							<div class="detail-bottom">
								<ul class="mui-table-view mui-grid-view mui-grid-9">
									<li class="mui-table-view-cell mui-collapse-content mui-col-xs-4 mui-col-sm-4">
										<a href="#">
											<span class="mui-icon mui-icon-navigate txt-20"></span>
											<span class="txt-14">去这里</span>
										</a>
									</li>
									<li class="mui-table-view-cell mui-collapse-content mui-col-xs-4 mui-col-sm-4">
										<a href="#">
											<span class="mui-icon mui-icon-search txt-20"></span>
											<span class="txt-14">详情</span>
										</a>
									</li>
									<li class="mui-table-view-cell mui-collapse-content mui-col-xs-4 mui-col-sm-4">
										<a class="back">
											<span class="mui-icon mui-icon-undo txt-20"></span>
											<span class="txt-14">返回</span>
										</a>
									</li>
								</ul>
							</div>
						</div>
					</div>
					<div class="line"></div>
					<div class="mui-card	" v-if="mapdata.isworktime || mapdata.istel">
						<div class="mui-card-content">
							<div v-if="mapdata.isworktime" class="worktime">
								<span class="txt-14">办公时间:</span><span class="txt-14">{{mapdata.worktime}}</span></div>
							<div v-if="mapdata.istel" class="phone mt-5 mb-5">
								<span class="txt-14">电话:</span>
								<a class="txt-14" href="tel:0416-21234561">{{mapdata.tel}}</a>
							</div>
						</div>
					</div>
					<div class="line" v-if="mapdata.isworktime || mapdata.istel"></div>
			</div>`,
});

//列表循环list-start
var listtwo = Vue.extend({
	props: ['listtwo'],
	template: `<div>
				<div class="div-1111">
				<div><span>{{listtwo.content}}</span></div>
			    <div class="div-btn">{{listtwo.btOne}}{{listtwo.btTwo}}</div></div></div>`
});

Vue.component('list-custom-new', {
	props: ['listdata'],
	template: `<div class="citcleData">				
				<list-data v-for="item in listdata" :listtwo="item">
				</list-data>
				</div>`,
	components: {
		'list-data': listtwo
	}
});