var subscribeData = Vue.extend({
	props: ['subscribedata','index'],
	template: `<li class="mui-table-view-cell mui-media">
					<a href="">
						<span class= "mui-pull-left" :class=subscribedata.classInfo ></span>
						<div class="mui-media-body div-flex">
							<div class='btn-info'>
							<span>{{subscribedata.serviceName}}</span>
							<p class='mui-ellipsis'>锦州市</p>
							</div>
							<div class='btn-icon'>
							<span class='iconfont icon-jian ':data-id=subscribedata.id></span>
							</div>
						</div>
					</a>
				</li>`
});

Vue.component('my-subscribe-data', {
	props: ['subscribedata'],
	template: `<ul class="mui-table-view">
				<subscribe-data v-for="(item,index) in subscribedata" :index=index :subscribedata="item"></subscribe-data>
				</ul>`,
	components: {
		'subscribe-data': subscribeData
	}
});
