var searchResultItem = Vue.extend({
	props: ['data'],
	template: `<li class="mui-table-view-cell mui-media mui-collapse-content" :data-href=data.url :data-title=data.serviceName :data-type=data.serviceType>
						<div class="left">
							<span :class=data.classInfo></span>
						</div>
						<div class="right">
							<div class="title txt-14">{{data.serviceName}}</div>
							<div class="content txt-12">{{data.serviceDesc}}</div>
						</div>
					</li>`
});

Vue.component('search-result', {
	props: ['resultdata'],
	template: `<ul class="mui-table-view">
					<div style="padding:10px" v-if="resultdata==null || resultdata==undefinded ||resultdata==''">暂无相关服务</div>
					<search-result-item v-else v-for="item in resultdata" :data=item></search-result-item>
				</ul>
	`,
	components: {
		'search-result-item': searchResultItem
	}
});

var searchHistoryItem = Vue.extend({
	props: ['data'],
	template: `<li class="mui-table-view-cell mui-collapse-content">
										<div class="content">{{data.item}}</div>
										<div class="delete">删除</div>
									</li>`
});

Vue.component('search-history', {
	props: ['historydata'],
	template: `<ul class="mui-table-view">
					<search-history-item  v-for="item in historydata" :data=item></search-history-item>
				</ul>
	`,
	components: {
		'search-history-item': searchHistoryItem
	}
});