Vue.component('payment-order-data', {
	props: ['orderdata'],
	template: `<div>
					<div class="pay_describe">
				<div class="pay_info">
					<div class="pay_date">账期：{{orderdata.orderDesc}}</div>
					<div class="pay_line">
						<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
						<div></div>
						<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
					</div>
					<ul>
						<li><span>缴款单号：</span><span>{{orderdata.bizNumber}}</span></li>
						<li><span>缴费项目：</span><span>{{orderdata.orderName}}</span></li>
						<li><span>缴款描述：</span><span>{{orderdata.orderDesc}}</span></li>
						<li><span>执收单位：</span><span>{{orderdata.receiverName}}</span></li>
						<li><span>缴费金额：</span><span>{{orderdata.reivable}}元</span></li>
					</ul>
					<div class="pay_line">
						<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
						<div></div>
						<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
					</div>
					<div class="pay_money"><span>￥</span><span class="pay_cost">{{orderdata.reivable}}元</span></div>
				</div>
				<form name="alipayment" action="http://jzt.0416city.com/pay/tradeorder/mbpay" method="post">
					<input type="hidden" size="30" name="out_trade_no" :value="orderdata.bizNumber" />
					<input type="hidden" size="30" name="subject" :value="orderdata.orderName" />
					<input type="hidden" size="30" name="total_fee" :value="orderdata.reivable" />
					<input type="hidden" size="30" name="body" :value="orderdata.orderDesc" />
					<input type="hidden" size="30" name="show_url" :value="orderdata.receiverName" />
					<button class="pay_button">缴费</button>
				</form>
			</div>						
				</div>`
});