Vue.component('water-recore-detail', {
	props: ['waterdata'],
	template: `<div>
	<div class="div-style-no-cir">
					<span v-if="waterdata.serviceType=='1'" class="font-black font-bold font-16 margin-left-10" >
						{{waterdata.billYear}}年{{waterdata.billMonth}}月水费账单明细
					</span>
					<span v-else-if="waterdata.serviceType=='2'" class="font-black font-bold font-16 margin-left-10" >
						{{waterdata.billYear}}年{{waterdata.billMonth}}月电费账单明细
					</span>
					<span v-else-if="waterdata.serviceType=='3'" class="font-black font-bold font-16 margin-left-10" >
						{{waterdata.billYear}}年{{waterdata.billMonth}}月燃气费账单明细
					</span>
			</div>
			<div class="div-style-no-cir">
				<span class="font-black font-14 margin-left-10">
						抄表日期&nbsp;:&nbsp;<span>{{waterdata.opDate}}</span>
				</span>
			</div>
			<div class="div-style-no-cir">
				<span class="font-black font-14 margin-left-10">
						指&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;针&nbsp;:&nbsp;<span>{{waterdata.usedCount}}</span>
					</span>
			</div>
			<div class="div-style-no-cir">
				<span class="font-black font-14 margin-left-10">
						当前阶梯&nbsp;:&nbsp;<span>{{waterdata.stepCount}}阶</span>
					</span>
			</div>
			<div class="div-style-cir">
				<ul>
					<li class="li-style-1">
						<div class="mui-media-body">
							<span v-if="waterdata.serviceType=='1'" class="font-green font-14">一阶用水&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='2'" class="font-green font-14">一阶用电&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='3'" class="font-green font-14">一阶用燃气&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='1'" class="font-black font-14 margin-left-25"><span class="font-green font-14">{{waterdata.step1Used}}</span>&nbsp;吨</span>
							<span v-if="waterdata.serviceType=='2'" class="font-black font-14 margin-left-25"><span class="font-green font-14">{{waterdata.step1Used}}</span>&nbsp;度</span>
							<span v-if="waterdata.serviceType=='3'" class="font-black font-14 margin-left-25"><span class="font-green font-14">{{waterdata.step1Used}}</span>&nbsp;m³</span>
							<span class="span-money font-black font-green"><span>{{waterdata.step1Total}}</span>元</span>
						</div>
						<p v-if="waterdata.serviceType=='1'" class='mui-ellipsis time-p-bottom font-black'><span>{{waterdata.step1Price}}</span>元/吨</p>
						<p v-if="waterdata.serviceType=='2'" class='mui-ellipsis time-p-bottom font-black'><span>{{waterdata.step1Price}}</span>元/度</p>
						<p v-if="waterdata.serviceType=='3'" class='mui-ellipsis time-p-bottom font-black'><span>{{waterdata.step1Price}}</span>元/m³</p>
					</li>
					<li v-if="waterdata.stepCount=='2'||waterdata.stepCount=='3'" class="li-style-2">
						<div class="mui-media-body">
							<span v-if="waterdata.serviceType=='1'" class="font-orange font-14">二阶用水&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='2'" class="font-orange font-14">二阶用电&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='3'" class="font-orange font-14">二阶用燃气&nbsp;&nbsp;</span>
							<span v-if="waterdata.serviceType=='1'" class="font-black font-14 margin-left-25"><span class="font-orange font-14">{{waterdata.step2Used}}</span>&nbsp;吨</span>
							<span v-if="waterdata.serviceType=='2'" class="font-black font-14 margin-left-25"><span class="font-orange font-14">{{waterdata.step2Used}}</span>&nbsp;度</span>
							<span v-if="waterdata.serviceType=='3'" class="font-black font-14 margin-left-25"><span class="font-orange font-14">{{waterdata.step2Used}}</span>&nbsp;m³</span>
							<span class="span-money font-orange">{{waterdata.step2Total}}元</span>
						</div>
						<p v-if="waterdata.serviceType=='1'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step2Price}}元/吨</p>
						<p v-if="waterdata.serviceType=='2'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step2Price}}元/度</p>
						<p v-if="waterdata.serviceType=='3'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step2Price}}元/m³</p>
					</li>
					<li v-if="waterdata.stepCount=='3'" class="li-style-2">
						<div v-if="waterdata.serviceType=='1'" class="mui-media-body">
							<span class="font-red font-14">三阶用水&nbsp;&nbsp;</span>
							<span class="font-black font-14 margin-left-25"><span class="font-red font-14">{{waterdata.step3Used}}</span>&nbsp;吨</span>
							<span class="span-money font-red">{{waterdata.step3Total}}元</span>
						</div>
						<div v-if="waterdata.serviceType=='2'" class="mui-media-body">
							<span class="font-red font-14">三阶用电&nbsp;&nbsp;</span>
							<span class="font-black font-14 margin-left-25"><span class="font-red font-14">{{waterdata.step3Used}}</span>&nbsp;度</span>
							<span class="span-money font-red">{{waterdata.step3Total}}元</span>
						</div>
						<div v-if="waterdata.serviceType=='3'" class="mui-media-body">
							<span class="font-red font-14">三阶用燃气&nbsp;&nbsp;</span>
							<span class="font-black font-14 margin-left-25"><span class="font-red font-14">{{waterdata.step3Used}}</span>&nbsp;m³</span>
							<span class="span-money font-red">{{waterdata.step3Total}}元</span>
						</div>
						<p v-if="waterdata.serviceType=='1'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step3Price}}元/吨</p>
						<p v-if="waterdata.serviceType=='2'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step3Price}}元/度</p>
						<p v-if="waterdata.serviceType=='3'" class='mui-ellipsis time-p-bottom font-black'>{{waterdata.step3Price}}元/m³</p>
					</li>
				</ul>
			</div>
			<div class="div-style-no-cir">
				<span v-if="waterdata.serviceType=='1'" class="font-black font-14 margin-left-20" >
						总水量&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalUsed}}</span>&nbsp;吨
				</span>
				<span v-if="waterdata.serviceType=='2'" class="font-black font-14 margin-left-20" >
						总电量&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalUsed}}</span>&nbsp;度
				</span>
				<span v-if="waterdata.serviceType=='3'" class="font-black font-14 margin-left-20" >
						总燃气量&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalUsed}}</span>&nbsp;m³
				</span>
				<span v-if="waterdata.serviceType=='1'" class="font-black font-14 margin-left-5">
						总水费&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalFee}}</span>&nbsp;元
				</span>
				<span v-if="waterdata.serviceType=='2'" class="font-black font-14 margin-left-5">
						总电费&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalFee}}</span>&nbsp;元
				</span>
				<span v-if="waterdata.serviceType=='3'" class="font-black font-14 margin-left-5">
						总燃气费&nbsp;:&nbsp;<span class="font-red">{{waterdata.totalFee}}</span>&nbsp;元
				</span>
			</div></div>`

});