//缴费明细-start
var hotelListData = Vue.extend({
	props: ['hotellist'],
	template: `<div>
				<div class="mui-card">
				<div class="txt-16 text-bold p10">{{hotellist.paidDate}}</div>
				<div class="mui-table border-b">
					<div class="mui-table-cell mui-col-xs-4 detail">
						<div class="border-r">
							<p class="mui-h5">个人缴纳(元)</p>
							<p class="mui-h4">{{hotellist.personPaid}}</p>
						</div>
					</div>
					<div class="mui-table-cell mui-col-xs-4 detail">
						<div class="border-r">
							<p class="mui-h5">公司缴纳(元)</p>
							<p class="mui-h4">{{hotellist.comPaid}}</p>
						</div>
					</div>
					<div class="mui-table-cell mui-col-xs-4 detail">
						<p class="mui-h5">个人缴纳(元)</p>
						<p class="mui-h4">{{hotellist.sumPaid}}</p>
					</div>
				</div>
				<div class="jiaona">
					<p v-if="hotellist.paymentType==0">缴纳方式<span class="mui-text-right mui-pull-right" v-if="hotellist.paymentType==0">个人</span></p>
					<p v-if="hotellist.paymentType==1">缴纳方式<span class="mui-text-right mui-pull-right">企业</span></p>
					<p>缴费单位<span class="mui-text-right mui-pull-right">{{hotellist.companyName}}</span></p>
					<p>缴费基数<span class="mui-text-right mui-pull-right">{{hotellist.paymentBase}}</span></p>
				</div>
			</div>	
			   </div>`
});

Vue.component('life-hotel-list', {
	props: ['hotellist'],
	template: `<div>
					<hotel-list v-for="item in hotellist" :hotellist="item">
					</hotel-list>		
			   </div>`,
	components: {
		'hotel-list': hotelListData
	}
});
//缴费明细-end

//出险明细
var twoListData = Vue.extend({
	props: ['twollist'],
	template: `<li class="mui-table-view-cell mui-media">
					<span class="mui-media-object mui-pull-right margin-right-10 font-weight">{{twollist.lossAmount}}</span>
					<div class="mui-media-body">
						<span class="font-weight">{{twollist.lossDate}}</span>
						<p class='mui-ellipsis font-corlor'>银行卡号：<span>{{twollist.bankNo}}</span></p>
					</div>
				</li>`
});

Vue.component('two-list', {
	props: ['twollist'],
	template:   `<ul class="mui-table-view">
				    <two-hotel-list v-for="item in twollist" :twollist="item">
					</two-hotel-list>
			    </ul>`,
	components: {
		'two-hotel-list': twoListData
	}
});