var medinsListInner =Vue.extend({
	props:['medins_listdata', "paymentType"],
	template:`	<div class="mui-card">
					<div class="txt-16 text-bold p10">{{medins_listdata.paidDate}}</div>
					<div class="mui-table border-b">
						<div class="mui-table-cell mui-col-xs-4 detail">
							<div class="border-r">
								<p class="mui-h5">个人缴纳(元)</p>
								<p class="mui-h4">{{medins_listdata.personPaid}}</p>
							</div>
						</div>
						<div class="mui-table-cell mui-col-xs-4 detail">
							<div class="border-r">
								<p class="mui-h5">单位缴纳(元)</p>
								<p class="mui-h4">{{medins_listdata.comPaid}}</p>
							</div>
						</div>
						<div class="mui-table-cell mui-col-xs-4 detail">
							<p class="mui-h5">合计(元)</p>
							<p class="mui-h4">{{medins_listdata.sumPaid}}</p>
						</div>
					</div>
					<div class="jiaona">
						<p>缴纳方式<span class="mui-text-right mui-pull-right">{{medins_listdata.paymentType=='1'?'公司':'个人'}}</span></p>
						<p v-if="medins_listdata.paymentType=='1'">缴费单位<span class="mui-text-right mui-pull-right">{{medins_listdata.companyName}}</span></p>
						<p>缴费基数<span class="mui-text-right mui-pull-right">{{medins_listdata.paymentBase}}</span></p>
					</div>
				</div>`
});

var medexpenseListInner =Vue.extend({
	props:['medexpense_listdata'],
	template:`<li class="mui-table-view-cell mui-media">
					<a href="javascript:;">
						<div class="listtop">
							<span>{{medexpense_listdata.itemName}}</span>
							<span class="span-money">-{{medexpense_listdata.expenseAmount}}</span>
						</div>
						<div class="listbottom">
							<span>{{medexpense_listdata.expenseAddress}}</span>
							<span class="span-money-bottom">余额：{{medexpense_listdata.balance}}</span>
						</div>
						<p class='mui-ellipsis time-p-bottom'>{{medexpense_listdata.expenseDate}}</p>
					</a>
					</li>`
});

Vue.component('med-ins-data', {
	props: ['medins_listdata'],
	template: `<div>
					<medins-list-inner v-for="item in medins_listdata" :medins_listdata="item"></medins-list-inner>
				</div>`,
	components: {
		'medins-list-inner': medinsListInner
	}
});

Vue.component('med-expense-data', {
	props: ['medexpense_listdata'],
	template: `<div>
					<ul class="mui-table-view">
					<medexpense-list-inner v-for="item in medexpense_listdata" :medexpense_listdata="item">
					</medexpense-list-inner>
					</ul>
				</div>`,
	components: {
		'medexpense-list-inner': medexpenseListInner
	}
});