//缴费明细-start
var hotelListData = Vue.extend({
	props: ['hotellist','index'],
	template: `<tbody v-if="index%2=='0'" class="bg-gray" :data-idcard=hotellist.idcardall :data-subjectid=hotellist.subjectId :data-year=hotellist.year>
				<tr class="subsidy-value">
					<td>{{index+1}}</td>
					<td>{{hotellist.userName}}</td>
					<td rowspan="2">{{hotellist.price}}</td>
					<td>{{hotellist.areaName}}</td>
					<td>{{hotellist.streetName}}</td>
				</tr>
				<tr class="subsidy-value txt-gray">
					<td colspan="2">{{hotellist.idcard}}</td>
					<td>{{hotellist.communityName}}</td>
					<td>{{hotellist.subsidyDate}}</td>
				</tr>
			</tbody>
				<tbody v-else :data-idcard=hotellist.idcardall :data-subjectid=hotellist.subjectId :data-year=hotellist.year>
				<tr class="subsidy-value">
					<td>{{index+1}}</td>
					<td>{{hotellist.userName}}</td>
					<td rowspan="2">{{hotellist.price}}</td>
					<td>{{hotellist.areaName}}</td>
					<td>{{hotellist.streetName}}</td>
				</tr>
				<tr class="subsidy-value txt-gray">
					<td colspan="2">{{hotellist.idcard}}</td>
					<td>{{hotellist.communityName}}</td>
					<td>{{hotellist.subsidyDate}}</td>
				</tr>
			</tbody>`
});

Vue.component('life-hotel-list', {
	props: ['hotellist'],
	template: `<table class="table-subsidy">
				<tr class="subsidy-title">
					<td class="top">序号</td>
					<td class="top">姓名</td>
					<td class="top">金额</td>
					<td class="top" colspan="2">地区、年月</td>
				</tr>
				<hotel-list v-for="(item,index) in hotellist" :index=index :hotellist="item">
				</hotel-list>
			</table>`,
	components: {
		'hotel-list': hotelListData
	}
});
//缴费明细-end