var recordData = Vue.extend({
	props: ['recorddata'],
	template: `
			<div class="mt-30">
				<div class="c_year">{{recorddata.bizDate}}</div>
				<div class="c_item c_item_left item_month_20143">
					<div class="c_i_icon_arrow"></div>
					<div class="c_i_icon_dot">
						<div class="c_i_icon_dot_child"></div>
					</div>

					<div class="c_i_head">
						<div class="c_i_head_intro">
							<p class="mui-content-card-title">还款成功</p><br />
							<p class="mui-content-card-main">应还合计：{{recorddata.sumShould}}</p>
							<p class="mui-content-card-main">本期本金：{{recorddata.shouldCorpus}}</p>
							<p class="mui-content-card-main">本期利息：{{recorddata.shouldInterest}}</p>
							<p class="mui-content-card-main">逾期本金：{{recorddata.yqbj}}</p>
							<p class="mui-content-card-main">逾期利息：{{recorddata.yqlx}}</p>
							<p class="mui-content-card-main">罚息：{{recorddata.shouldPunishInterest}}</p>
							<p class="mui-content-card-main">公积金月冲还贷：{{recorddata.gjjychd}}</p>
							<p class="mui-content-card-main">银行卡卡扣款：{{recorddata.xjhk}}</p>
							<p class="mui-content-card-main">本期实还合计：{{recorddata.sumReal}}</p>
							<p class="mui-content-card-main">拖欠本金：{{recorddata.tqbj}}</p>
							<p class="mui-content-card-main">拖欠利息：{{recorddata.tqlx}}</p>
							<p class="mui-content-card-main">拖欠罚息：{{recorddata.tqfx}}</p>
						</div>
					</div>
				</div>
			</div>
	`
});

Vue.component('repayment-record', {
	props: ['recorddata'],
	template: `<div class="container">
					<div class="content" id="content">
						<record-data v-for="item in recorddata" :recorddata="item"></record-data>
					</div>
				</div>`,
	components: {
		'record-data': recordData
	}
});