var streetData = Vue.extend({
	props: ['streetdata','index'],
	template: `<tr class="subsidy-value">
						<td>{{index+1}}</td>
						<td>{{streetdata.streetName}}</td>
						<td>{{streetdata.ccount}}</td>
						<td>{{streetdata.pcount}}</td>
						<td>{{streetdata.amount}}</td>
						<td><button type="button" class="mui-btn mui-btn-outlined iconfont icon-shouzhi txt-14" :data-code=streetdata.streetCode :data-name=streetdata.streetName>点击这里</button></td>
					</tr>`
});

Vue.component('subsidy_street', {
	props: ['streetdata'],
	template: `<table class="table-subsidy">
					<tr class="subsidy-title">
						<th>序号</th>
						<th>街道<br>（镇）</th>
						<th>社区<br>（村）</th>
						<th>人数</th>
						<th>金额</th>
						<th>发放到<br>社区<br>（村）</th>
					</tr>
					<street-data v-for="(item,index) in streetdata" :index=index :streetdata="item"></street-data>
				</table>`,
	components: {
		'street-data': streetData
	}
});