var callBack;
var jztUtils = {
	/**
	 * 支付方法
	 */
	pay: function(info, type, settings) {
		callBack = settings.callBack;
		window.jzt.pay(info, type, "callback");
	}
}
/**
 * 统一回调处理
 * code:0 支付成功 1 支付失败
 * msg:成功或失败返回的文字信息
 * payType: ali_pay支付宝  wechat_pay微信
 * @example
 * {
 * 	 "code":1,
 * 	 "msg":"微信支付取消",
 * 	 "payType":"wechat_pay"
 * }
 */
function callback(info) {
	info = JSON.parse(info)
	var returnInfo = info;
	if(mui.os.ios) {
		if(info.payType == "ali_pay") {
			//支付宝回调处理
			if(info.code == 9000) {
				returnInfo.code = 0;
			} else {
				returnInfo.code = 1
			}
		} else if(info.payType == "wechat_pay") {
			//微信宝回调处理
			if(info.code == 0) {
				returnInfo.code = 0;
			} else {
				returnInfo.code = 1
			}
		}
	} else {
		//安卓返回值处理
		if(info.payType == "ali_pay") {
			//支付宝回调处理
			if(info.code == 200) {
				returnInfo.code = 0;
			} else {
				returnInfo.code = 1
			}
		} else if(info.payType == "wechat_pay") {
			//支付宝回调处理
			if(info.code == 200) {
				returnInfo.code = 0;
			} else {
				returnInfo.code = 1
			}
		}
	}
	callBack(JSON.stringify(returnInfo))
}