function setParam(department, service, typeAuthority) {
	this.department = department;
	this.service = service;
	this.typeAuthority = typeAuthority;
	if(department != '') {
		$("#serviceObj").val("服务主题");
		$("#typeAuthority").val("职权类型");
	} else if(service != '') {
		$("#manageDep").val("主管部门");
		$("#typeAuthority").val("职权类型");
	} else if(typeAuthority != '') {
		$("#manageDep").val("主管部门");
		$("#serviceObj").val("服务主题");
	} else if(department == '' && service == '' && typeAuthority == '') {
		$("#manageDep").val("主管部门");
		$("#serviceObj").val("服务主题");
		$("#typeAuthority").val("职权类型");
	}
}

function addListner() {
	mui(".things").on("tap", "span", function() {
		var guid = $(this).parent().attr("data-guid");
		switch($(this).attr("data-type")) {
			case "0": //预约办事
				if(jztGetToken()) {
//					mui.openWindow("appointmentStep.html?guid=" + guid);
					app.createNewView(true,"1","view/government/appointmentStep.html","",{guid:guid})
				} else {
//					mui.openWindow("../my/login/login-all.html");
					app.createNewView(true,"1","view/my/login/login-all.html")
				}
				break;
			case "1": //立即办事
				if(jztGetToken()) {
//					mui.openWindow("online_declare_affairs.html?guid=" + guid);
					app.createNewView(true,"1","view/government/online_declare_affairs.html","",{guid:guid})
				} else {
//					mui.openWindow("../my/login/login-all.html");
					app.createNewView(true,"1","view/my/login/login-all.html")
				}
				break;
			case "2": //办事指南
//				mui.openWindow("workGuide.html?guid=" + guid + "&from=2");
				app.createNewView(true,"1","view/government/workGuide.html","",{guid:guid,from:2})
				break;
			case "3": //在线咨询
//				mui.openWindow("onlineCounsel.html?guid=" + guid);
				app.createNewView(true,"1","view/government/onlineCounsel.html","",{guid:guid})
				break;
			default:
				break;
		}
	});
}

function getDepartmentJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].orgid;
		data["text"] = str[item].orgname;
		datas.push(data);
	}
	return datas;
}

function getDepartmentList(id) {
	mui.axiosService(jztService("gov/dic/dep?parentId=") + id, {}, {
		"success": function(response) {
			initPicker("manageDep", 1, getDepartmentJsonArr(response.data), {
				"onClickResult": function(result, id) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("manageDep").value = result;
						setParam(id, "", "");
						value.persiondata = {}
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}
/**
 * 根据数组返回符合单选格式的json数组(服务主题)
 * @param {Object} str 数组
 */
function getServiceJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].itemvalue;
		data["text"] = str[item].itemname;
		datas.push(data);
	}
	return datas;
}

function getServiceObjList() {

	mui.axiosService(jztService("gov/dic/service_fr"), {}, {
		"success": function(response) {
			initPicker("serviceObj", 1, getServiceJsonArr(response.data), {
				"onClickResult": function(result, id) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("serviceObj").value = result;
						setParam("", id, "");
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");

}
/**
 * 根据数组返回符合单选格式的json数组(职权类型)
 * @param {Object} str 数组
 */
function getTypeAuthorityJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].itemvalue;
		data["text"] = str[item].itemname;
		datas.push(data);
	}
	return datas;
}

function getTypeAuthorityList() {
	mui.axiosService(jztService("gov/dic/auth"), {}, {
		"success": function(response) {
			initPicker("typeAuthority", 1, getTypeAuthorityJsonArr(response.data), {
				"onClickResult": function(result, id) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("typeAuthority").value = result;
						setParam("", "", id);
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}

function getAreaJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].id;
		data["text"] = str[item].name;
		datas.push(data);
	}
	return datas;
}

function getAreaList() {
	mui.axiosService(jztService("gov/dic/area"), {}, {
		"success": function(response) {
			initPicker("area", 1, getAreaJsonArr(response.data), {
				"onClickResult": function(result, id) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("area").innerText = result;
						getDepartmentList(id);
						setParam("", "", "")
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						addressId = id
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}
mui("body").on("tap", ".searchbtn", function() {
//	if($(".search").children("input").val() != "") {
		$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
		$("#nodata").addClass("mui-hidden");
		$("#loading").removeClass("mui-hidden")
		search = $(".search").children("input").val();
		count = 1;
		getUpData(downSelf)
//	}
})
