function addListner() {
	mui(".things").off("tap").on("tap", "span", function() {
		var guid = $(this).parent().attr("data-guid");
		var code = $(this).parent().attr("data-code");
		switch($(this).attr("data-type")) {
			case "0": //预约办事
				if(jztGetToken()) {
					app.createNewView(true,"1","view/government/appointmentStep.html","",{code:code})
				} else {
					app.createNewView(true,"1","view/my/login/login-all.html")
				}
				break;
			case "1": //立即办事
				if(jztGetToken()){
					var editUrl=gov_Config.getEditUrl(ql_object);
					app.createNewView(true,"1",editUrl,"",{guid:guid,code:code,from:ql_object})
				}else{
					app.createNewView(true,"1","view/my/login/login-all.html")
				}
				break;
			case "2": //办事指南
				app.createNewView(true,"1","view/government/workGuide.html","",{guid:guid,from:ql_object,code:code})
				break;
			case "3": //在线咨询
				app.createNewView(true,"1","view/government/onlineCounsel.html","",{code:code,guid:guid,from:ql_object})
				break;
			default:
				break;
		}
	});
}

function getDepartmentJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].code;
		data["text"] = str[item].orgname;
		datas.push(data);
	}
	return datas;
}

function getDepartmentList(areacode) {
	mui.axiosService(jztService("gov/dic/dep?parent_code=") + areacode, {}, {
		"success": function(response) {
			initPicker("manageDep", 1, getDepartmentJsonArr(response.data), {
				"onClickResult": function(result, code) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("manageDep").value = result;
						office_code=code;
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}

/**
 * 根据数组返回符合单选格式的json数组(职权类型)
 * @param {Object} str 数组
 */

function getAreaJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].code;
		data["text"] = str[item].name;
		datas.push(data);
	}
	return datas;
}

function getAreaList() {
	mui.axiosService(jztService("gov/dic/area"), {}, {
		"success": function(response) {
			initPicker("area", 1, getAreaJsonArr(response.data), {
				"onClickResult": function(result, code) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("area").innerText = result;
						getDepartmentList(code);
						office_code = "";
						ql_object= "2,3,4" ;
						$("#manageDep").val("主管部门")
						$("#identityType").val("法人")
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						areacode = code
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}

function getIdentityList(id) {
	initPicker("identityType", 1, gov_Config.getAllDatas(), {
		"onClickResult": function(result, id) {
			//使用前注意判空
			if(result !== "") {
				document.getElementById("identityType").value = result;
				ql_object=id;
				$("#nodata").addClass("mui-hidden");
				$("#loading").removeClass("mui-hidden")
				$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
				search = $(".search").children("input").val();
				count = 1;
				getUpData(downSelf)
			} else {
				mui.toast("选择为空");
			}
		}
	}, true);
}


mui("body").on("tap", ".searchbtn", function() {
//	if($(".search").children("input").val() != "") {
		$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
		$("#nodata").addClass("mui-hidden");
		$("#loading").removeClass("mui-hidden")
		search = $(".search").children("input").val();
		count = 1;
		getUpData(downSelf)
//	}
})