function addListener() {
	mui("body").on("tap", "#segmentedControl>.mui-scroll>a", function() {
		var index = $(this).attr("index");
		mui('#Gallery').slider().gotoItem(index);
	});
	mui("body").on("tap", "#goCamera", function() {
		if(mui.os.android) {
			app.startActivityForRoute("com.example.qrcode.ScannerActivity")
		} else if(mui.os.ios) {
			// app.startActivityForRoute("JXScanQRViewController")
			app.OpenQRcode("openURL");
		}
	})
	mui("body").on("tap", ".mui-table-view-cell.mui-media.mui-col-xs-4.mui-col-sm-4", function() {
		var href = $(this).attr("data-href");
		var type = $(this).attr("data-type");
		var title = $(this).attr("data-title");
		openService(href, type, title)
	})

	mui("body").on("tap", ".mui-table-view-cell.middle", function() {
		var href = $(this).attr("data-href");
		var type = $(this).attr("data-type");
		var title = $(this).attr("data-title");
		openService(href, type, title)
	})
	mui("body").on("tap", ".mui-table-view-cell.mui-media.main-li-li", function() {
		var href = $(this).attr("data-href");
		var type = $(this).attr("data-type");
		var title = $(this).attr("data-title");
		openService(href, type, title)
	})

	//点击全部服务的跳转图标
	mui("body").on("tap", "[type='content-pic']", function() {
		var href = $(this).attr("data-to");
		var type = $(this).attr("data-type");
		var title = $(this).attr("data-title");
		openService(href, type, title)
	})

	/**
	 * picker
	 * @param {Object} id picker容器id
	 * @param {Object} num 1-3联动级别
	 * @param {Object} pickerData picker内容
	 * @param {Object} settings 点击确定后回调函数onClickResult
	 * @param {Object} isClose 点击确定后是否关闭picker
	 */
	initPicker("address", 1, district, {
		"onClickResult": function(result, id) {
			//使用前注意判空
			if(result !== "") {
				$("#addressContent").text(result);
				var addressJSON = {}
				addressJSON.code = id
				addressJSON.city = result
				jztSaveAddressInfo(JSON.stringify(addressJSON))
			} else {
				mui.toast("选择为空");
			}
		}
	}, true);

	//tab
	mui("body").on("tap", "#segmentedControl a", function() {
		$($('#segmentedControl a')[0]).removeClass('bot-bor')
		$($('#segmentedControl a')[1]).removeClass('bot-bor')
		$($('#segmentedControl a')[2]).removeClass('bot-bor')
		$($('#segmentedControl a')[3]).removeClass('bot-bor')
		$(this).addClass('bot-bor')
	})

	var city = jztGetAddressInfo();
	if(city) {
		$("#addressContent").text(JSON.parse(jztGetAddressInfo()).city);
	} else {
		$("#addressContent").text("锦州市");
	}

	mui("body").on("tap", ".topTitle", function() {
		var href = $(this).children("a").attr("data-href");
		var title = $(this).children("a").html();
		app.createNewView(true, "1", href, title)

	})

	mui("body").on("tap", ".jztop", function() {
		app.changeHomePage(3);
	})
}

function InitData() {
	//首页数据
	mui.axiosService(jztService("app/serservice_zs/apphomejsondata2"), "", {

		'success': function(response) {
			value.bannerData = response.data.bannerData;
			value.lifeData = response.data.girdData;
			value.hometabdata = response.data.tabData;
			value.gridlist = getJsonArr(response.data.homeServiceData);
			value.allservicedata = response.data.allservice;
			value.gTopData = formatHomeRecommend(response.data.recommend[0].innerlist);
			value.adData = response.data.huaweiMeet
			
			setTimeout(function() {
				$(".mui-control-item.shen").eq(0).addClass("bot-bor mui-active")
				$(".mui-control-content").eq(0).addClass("mui-active")
			}, 100)
		},
		'error': function(error) {
			//失败时回调
		}
	}, "get", false)

}

function formatHomeRecommend(datas) {
	myServiceList = [];

	var num = 1;
	for(var j in datas) {
		//老版本兼容，老版本可以关注超过7项服务选择前7项
		var param = {}
		param.spanclass = datas[j].class_info + " inmenu o" + num;
		param.hasborder = false;
		param.gstyle = "gStyle1";
		param.href = datas[j].url;
		param.content = datas[j].name;
		param.type = datas[j].service_type;
		myServiceList.push(param)
		num++;
	}

//	var paramAll = {
//		"hasborder": false,
//		"gstyle": "gStyle1",
//		"href": "view/others/servicefind.html",
//		"spanclass": "mui-icon iconfont icon-tianjiazhaopiandejiahao inmenu o8",
//		"content": "全部",
//		"type": 1
//	}
//	myServiceList.push(paramAll)
	return myServiceList;
}

function TopBanner() {
	//顶部轮播图
	var slider = document.getElementById("slider");
	if(slider.classList.contains("mui-hidden")) {
		document.getElementById("slider").classList.remove("mui-hidden");
	}
	mui("#slider").slider({
		interval: 3000
	});

	var slider2 = document.getElementById("slider2");
	if(slider2.classList.contains("mui-hidden")) {
		document.getElementById("slider2").classList.remove("mui-hidden");
	}
	mui("#slider2").slider({
		interval: 3000
	});
}

function initWeatherAndAuthorized() {
	setTimeout(function() {
		//        获取缓存数据
		value.adata = {
			authorized: jztGetSaveUserInfo(6) == '' ? "0" : jztGetSaveUserInfo(6),
			nickName: jztGetSaveUserInfo(1),
			idCard: mui.outputCard(jztGetSaveUserInfo(3), true),
			code: "../images/timg.jpg",
			jm:jztGetSaveUserInfo(16),
			data:new Date().getDateAll(getCurrentDate(1),"week"),
			nl:new Date().getDateAll(getCurrentDate(1))
		}
	}, 100)
	mui.axiosService("http://jzt.0416city.com/" + "usual/weather/day7?city_code=101070701", "", {
		'success': function(response) {
			value.wdata = {
				min_tem: response.data.weathers[0].min_tem,
				max_tem: response.data.weathers[0].max_tem,
				wea: response.data.weathers[0].wea,
				air_level: response.data.weathers[0].air_level
			}
		},
		'error': function(error) {
			//失败时回调
		}
	}, "get", false)
}

function initWebData() {
	initWeatherAndAuthorized();
	jQuery.ajax({
		type: "get",
		url: "http://jzt.0416city.com/article/boda/getList?page=1&pagesize=10",
		async: true,
		success: function(data) {
			var HtmlStr = '';
			for(var i in JSON.parse(data).data) {
				//			for(var i in data.data) {
				HtmlStr += '<li class="topTitle"><a class="mui-ellipsis" data-type="2" data-isNewWebView="true" data-title="' + JSON.parse(data).data[i].title + '" data-href="' + JSON.parse(data).data[i].url + '">' + JSON.parse(data).data[i].title + '</a></li>';
				//				HtmlStr += '<li class="topTitle"><a class="mui-ellipsis" data-type="2" data-isNewWebView="true" data-title="' + data.data[i].title + '" data-href="'+ data.data[i].url + '">' + data.data[i].title + '</a></li>';
			}
			$("#lunboContent").html(HtmlStr)
		}
	});

}

function getJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["classTitle"] = str[item].icon == null ? "" : str[item].icon;
		data["title"] = str[item].catName;
		data["catDesc"] = str[item].catDesc;
		data["haveHome"] = str[item].haveHome;
		data["url"] = str[item].url == null ? "" : str[item].url;
		//					data["classTitle"] = "green mui-icon iconfont icon-zaixianxuexi";
		var services = []
		for(var i in str[item].services) {
			var param = {}
			var to = str[item].services[i].url
			if(to != null & to != '') {
				if(to.substring(0, 3) == "../") {
					param["to"] = to.substring(3, to.length);
				} else {
					param["to"] = to;
				}
			}
			param["homeLogin"] = str[item].services[i].needLogin;
			param["content"] = str[item].services[i].serviceName;
			param["serviceDesc"] = str[item].services[i].serviceDesc;
			param["classInfo"] = str[item].services[i].classInfo;
			param["icon"] = str[item].services[i].icon;
			param["serviceType"] = str[item].services[i].serviceType;
//			param["isImg"] = str[item].services[i].icon.search('/') != -1 ? true : false
			services.push(param);
		}
		data["services"] = services
		datas.push(data);
	}
	return datas;
}

setInterval("noticeUp('.lunbo ul','-33px',500)", 3000)

function noticeUp(obj, top, time) {
	$(obj).animate({
		marginTop: top
	}, time, function() {
		$(this).css({
			marginTop: "10px"
		}).find(":first").appendTo(this);
	})
}