function initWebData() {
	mui.axiosService(jztService("app/serservice_zs/getservices"), {}, {
		"success": function(response) {
			vue.hotdata = response.hotdata;
			vue.listdata = response.listdata;
			jzcLoadingHidden("loading");
			mui.axiosService(jztService("app/serservice_zs/getuserservices2"), {}, {
				"success": function(response) {
					if(response != null && response.data==null) {
						var param;
						var serviceList = [];
						if(response != null && response[0].list.length > 0) {
							for(var i in response[0].list) {
								for(var j in response[0].list[i].innerlist) {
									param = {}
									param.catId = response[0].list[i].id;
									param.serviceId = response[0].list[i].innerlist[j].id;
									param.name = response[0].list[i].innerlist[j].name;
									param.spanClass = response[0].list[i].innerlist[j].class_info;
									serviceList.push(param);
								}
							}
							initView(serviceList);
							vue.servicedata = serviceList;
						}
					} else {
						vue.servicedata = []
					}

				},
				"error": function(error) {
					jzcLoadingHidden("loading");
				}
			}, "get");

		},
		"error": function(error) {

		}
	}, "get");

}

function initView(sConfig) {
	//根据数据显示对应项为+或—
	resetService();
	var serviceDivList = $("li.mui-table-view-cell.mui-media");
	for(var i in sConfig) {
		for(var index in serviceDivList) {
			if(serviceDivList.eq(index).attr("inner-id") == sConfig[i].serviceId) {
				var checkLi = serviceDivList.eq(index);
				checkLi.children("div").children("div").children("div:nth-child(3)").removeClass("add").addClass("minus").children("a")
				checkLi.children("div").children("div").children("div:nth-child(3)").children("a").children("span").removeClass('icon-jiahao1').addClass('icon-jianhao2')
			}
		}
	}
}

function resetService(){
	var serviceDivList = $("li.mui-table-view-cell.mui-media");
	for(var index in serviceDivList) {
		var checkLi = serviceDivList.eq(index);
		checkLi.children("div").children("div").children("div:nth-child(3)").removeClass("minus").addClass("add").children("a")
		checkLi.children("div").children("div").children("div:nth-child(3)").children("a").children("span").removeClass('icon-jianhao2').addClass('icon-jiahao1')
	}
}

//关注提交
function follow() {
	var param = {};
	param.list = vue.servicedata;
	mui.axiosService(jztService("app/tbluserservice/follow"), param, {
		"success": function(response) {

		},
		"error": function(error) {

		}
	}, "post");
}

function changeState(content, serviceItem) {
	//增加或删减关注列表中数据
	if(compareService(serviceItem) != -1) {
		changeFollowList(serviceItem, "subtract")
		$(content).children("div:nth-child(3)").removeClass("minus").addClass("add").children("a")
		$(content).children("div:nth-child(3)").children("a").children("span").removeClass('icon-jianhao2').addClass('icon-jiahao1')
		
	} else {
		if(vue.servicedata.length >= 7) {
			mui.toast("选中的模块不能超过7个")
		} else {
			changeFollowList(serviceItem, "add")
			$(content).children("div:nth-child(3)").removeClass("add").addClass("minus").children("a")
			$(content).children("div:nth-child(3)").children("a").children("span").removeClass('icon-jiahao1').addClass('icon-jianhao2')
		}
	}
}



function compareService(serviceItem) {
	for(var i in vue.servicedata) {
		if(serviceItem.carId == vue.servicedata[i].carId) {
			if(serviceItem.serviceId == vue.servicedata[i].serviceId) {
				return i;
			}
		}
	}
	return -1;
}

function changeFollowList(serviceItem, operate) {
	if(vue.servicedata.length==0 || vue.servicedata.length == undefined){
		vue.servicedata = []
	}

	switch(operate) {
		case "add":
			vue.servicedata.push(serviceItem)
			break;
		case "subtract":
			var index = compareService(serviceItem);

			if(index != -1) {
				vue.servicedata.splice(index, 1)
			}
			break;
		default:
			break;
	}
}