function addListner() {
	mui("body").off("tap").on("tap", ".redcan", function() {
		var guid = $(this).parent().attr("data-guid");
		var code = $(this).parent().attr("data-code");
		if(jztGetToken()) {
			var editUrl = gov_Config.getEditUrl(ql_object);
			app.createNewView(true, "1", editUrl, "", {
				guid: guid,
				code: code,
				from: ql_object
			})
		} else {
			app.createNewView(true, "1", "view/my/login/login-all.html")
		}

	});
	mui("body").on("tap", ".searchbtn", function() {
		if($(".search").children("input").val() != "") {
			$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
			$("#nodata").addClass("mui-hidden");
			$("#loading").removeClass("mui-hidden")
			search = $(".search").children("input").val();
			count = 1;
			getUpData(downSelf)
		}

	});
}

function getIdentityList() {
	initPicker("identityType", 1, gov_Config.getAllDatas(), {
		"onClickResult": function(result, id) {
			//使用前注意判空
			if(result !== "") {
				document.getElementById("identityType").value = result;
				ql_object = id;
				//setParam(id, "", "");
				//value.persiondata = {}
				$("#nodata").addClass("mui-hidden");
				$("#loading").removeClass("mui-hidden")
				$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
				search = $(".search").children("input").val();
				count = 1;
				getUpData(downSelf)
			} else {
				mui.toast("选择为空");
			}
		}
	}, true);
}
/**
 * 根据数组返回符合单选格式的json数组(服务主题)
 * @param {Object} str 数组
 */
function getDepJsonArr(str) {
	var datas = [];
	datas.push({
		"text": "服务主体",
		"index": ""
	})
	for(var item in str) {
		var data = {};
		data["index"] = str[item].code;
		data["text"] = str[item].alias;
		datas.push(data);
	}
	return datas;
}

function getDepObjList(police_code) {

	mui.axiosService(jztService("gov/dic/dep?parent_code=" + police_code), {}, {
		"success": function(response) {
			initPicker("depObj", 1, getDepJsonArr(response.data), {
				"onClickResult": function(result, code) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("depObj").value = result;
						slcscode = code;
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");

}
/**
 * 根据数组返回符合单选格式的json数组(职权类型)
 * @param {Object} str 数组
 */
function getTypeAuthorityJsonArr(str) {
	var datas = [];
	datas.push({
		"text": "职权类型",
		"index": ""
	})
	for(var item in str) {
		var data = {};
		data["index"] = str[item].itemvalue;
		data["text"] = str[item].itemname;
		datas.push(data);
	}
	return datas;
}

function getTypeAuthorityList() {
	mui.axiosService(jztService("gov/dic/auth"), {}, {
		"success": function(response) {
			initPicker("typeAuthority", 1, getTypeAuthorityJsonArr(response.data), {
				"onClickResult": function(result, id) {
					//使用前注意判空
					if(result !== "") {
						document.getElementById("typeAuthority").value = result;
						ql_kind = id;
						$("#nodata").addClass("mui-hidden");
						$("#loading").removeClass("mui-hidden")
						$(".mui-slider-group .mui-scroll").addClass("mui-hidden")
						search = $(".search").children("input").val();
						count = 1;
						getUpData(downSelf)
					} else {
						mui.toast("选择为空");
					}
				}
			}, true);
		},
		"error": function(error) {

		}
	}, "get");
}