/**
 * 自定义九宫格(span图标、img图标)-inner-新
 * 		
 */
var gridInnerHead = Vue.extend({
	props: ['griddata'],
	template: `<li class="mui-table-view-cell mui-media main-li middle" :data-href=griddata.to :data-type=griddata.serviceType :data-title=griddata.content>
		        		<div v-if=griddata.isImg class="li-div">
		        			<img :src=griddata.icon class="bg-img"/>
		        			<div class="main-des">
		        				<div class="txt-14 shen ">{{griddata.content}}</div>
		        				<span class="txt-12 qian ">{{griddata.serviceDesc?griddata.serviceDesc:griddata.content+"指南"}}</span>
		        			</div>
		        		</div>
		        		<div v-else class="li-div">
		        			<div style="position: relative;">
		        				<span :class=griddata.classInfo></span>
		        				<img id="flag" src="../../images/chejiantou.png" style="position: absolute;right: 0;top: 0; width:50%"/>
		        			</div>
		        			<div class="main-des">
		        				<div class="txt-14 shen">{{griddata.content}}</div>
		        				<span class="txt-12 qian">{{griddata.serviceDesc?griddata.serviceDesc:griddata.content+"指南"}}</span>
		        			</div>
		        		</div>
		          </li>`
});
/**
 * 自定义分栏九宫格(带头部)-新
 */
Vue.component('grid-home-head-new', {
	props: ['griddata'],
	template: `<div>
	<div class="main" v-for="i in griddata" :data-href=i.url>
						<div class="main-top">
							<span class="txt-14 shen">{{i.title}}</span>
					</div>
						<ul class="mui-table-view mui-grid-view mui-grid-9 main-ul">
							<grid-inner-head v-for="(item,index) in i.services" :griddata="item"></grid-inner-head>
						</ul>	
				</div></div>`,
	components: {
		'grid-inner-head': gridInnerHead
	}
});

var gridInner = Vue.extend({
	props: ['griddata'],
	template: `<li style="border:0" class="mui-table-view-cell mui-collapse-content main-li p11" :class=griddata.liclass ::data-href=griddata.href>
					<div :class=griddata.aclass class="li-div c-white p15 border-r ">
							<span :class=griddata.spanclass class="services-icon"></span>
							<div class="main-des ml12 mui-ellipsis">
								<div class="txt-14 mui-ellipsis">{{griddata.content}}</div>
								<span class="txt-12">{{griddata.explain}}</span>
							</div>
						</div>
				</div>
			</li>`
});
/**
 * 自定义九宫格
 */
Vue.component('grid-custom-home', {
	props: ['griddata'],
	template: `<ul class="mui-table-view mui-grid-9 mui-grid-view main-ul">
	<grid-inner v-for="item in griddata" :griddata="item"></grid-inner>
	</ul>`,
	components: {
		'grid-inner': gridInner
	}
});

//自定义banner图-------------------------------------------------------
/**
 * 自定义banner(img图标)-inner
 * 		
 */
var bannerInner = Vue.extend({
	props: ['innerdata'],
	template: `<div class="mui-slider-item">
					<a :href=innerdata.href>
						<img :src=innerdata.src>
					</a>
				</div>`
});
/**
 * 自定义banner
 */
Vue.component('banner-custom', {
	props: ['bannerdata'],
	template: `<div id="slider" class="mui-slider">
				<div class="mui-slider-group mui-slider-loop">
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :href=bannerdata[bannerdata.length-1].href>
							<img :src=bannerdata[bannerdata.length-1].src>
						</a>
					</div>
					<banner-inner v-for="item in bannerdata" :innerdata="item"></banner-inner>
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a :href=bannerdata[0].href>
							<img :src=bannerdata[0].src>
						</a>
					</div>
				</div>
				<div class="mui-slider-indicator">
					<div class="mui-indicator mui-active" v-for="(item,index) in bannerdata"  v-if="index==0"></div>
					<div class="mui-indicator" v-for="(item,index) in bannerdata"  v-if="index!=0"></div>
				</div>
			</div>`,
	components: {
		'banner-inner': bannerInner
	}
});