var persionData = Vue.extend({
	props: ['persiondata','index'],
	template: `<li class="inner" :data-index=index>
					<div class="mui-table-view-cell mui-collapse-content">
						<span class="iconfont icon-blue-dot"></span>
						<div class="mui-media-body title">
							{{persiondata.ql_name_yw}}
							<p class='mui-ellipsis text-12'>实施主体：{{persiondata.office_name}}</p>
							<p class='mui-ellipsis-2 text-12'>办理地址：{{persiondata.accept_address}}</p>
						</div>
					</div>
					<div v-if="persiondata.blxs=='1'||persiondata.if_appoint=='1'||persiondata.if_bszn=='1'||persiondata.if_zxzx=='1'" class="mui-table-view-cell mui-text-right mui-collapse-content">
						<div class="things" :data-code=persiondata.item_code :data-guid=persiondata.itemguid>
							<span v-if="persiondata.if_appoint=='1'" class="redcan" data-type='0'>预约办事</span>
							<span v-if="persiondata.blxs=='1' || persiondata.blxs=='3'" class="redcan" data-type='1'>立即办事</span>
							<span v-if="persiondata.if_bszn=='1'" class="redcan" data-type='2'>办事指南</span>
							<span v-if="persiondata.if_zxzx=='1'" class="redcan" data-type='3'>在线咨询</span>
						</div>
					</div>
				</li>`
});

Vue.component('government-my-item', {
	props: ['persiondata'],
	template: `<ul class="mui-table-view">
				<persion-data v-for="(item,index) in persiondata" :index="index" :persiondata="item"></persion-data>
				</ul>`,
	components: {
		'persion-data': persionData
	}
});