var persionData = Vue.extend({
	props: ['persiondata'],
	template: `<div class="mui-card">
			<div class="mui-card-content">
					<div class="top">
			        	<span class="pic" :class=persiondata.spanClass></span>
			            <span class="content">{{persiondata.content}}</span>
						<span class="lable">{{persiondata.topLable}}</span>
		        	</div>
		        	<div class="bottom">
						<div class="time">
							<span>{{persiondata.timeState}}</span>
							<span>{{persiondata.time}}</span>
							<p>
								<span>{{persiondata.state}}</span>
								<span class="appointment_status" v-if="persiondata.appointment_status==1">预约未确认，可以取消</span>
								<span class="appointment_status" v-if="persiondata.appointment_status==2">预约已确认，不允许取消</span>
								<span class="appointment_status" v-if="persiondata.appointment_status==3">预约完成过期自动更新</span>
								<span class="appointment_status" v-if="persiondata.appointment_status==0">已取消</span>
							</p>
							
						</div>
					</div>
					<div class="bottom border-b" v-if="persiondata.appointment_status==1">
						<div class="lale">
							<span :data-index=persiondata.index>{{persiondata.lable}}</span>
						</div>
					</div>
					<div class="bottom border-b" v-if="persiondata.appointment_status==0">
						<div class="lale gray">
							<span :data-index=persiondata.index>已取消</span>
						</div>
					</div>
					
			</div>
		</div>	`
});

Vue.component('government-persion-data', {
	props: ['persiondata'],
	template: `<div>
				<persion-data v-for="item in persiondata" :persiondata="item">
				</persion-data>
				</div>`,
	components: {
		'persion-data': persionData
	}
});

var persionDataUpLoad = Vue.extend({
	props: ['persiondata'],
	template: `<li class="mui-table-view-cell mui-collapse-content">
								<div class="li-title">附件名称</div>
								<div class="li-content">
								<span>{{persiondata.name}}</span>
								<span class="li-button">删除</span>
								</div></li>`
});

Vue.component('government-persion-upload', {
	props: ['persiondatalist'],
	template: `<div>
			<div v-if="persiondatalist==null ||persiondatalist=='' || persiondatalist==undefind" style="background: #fff;font-size: 14px;padding-left: 10px;margin-bottom: 10px;">
			该事项办理无需提供材料
			</div>
			<div v-else v-for="(persiondata,indexW) in persiondatalist" class="content">
					<div class="mui-card">
						<div class="mui-card-content">
							<div class="title">
								<div class="num">{{indexW+1}}</div>
								<span class="title-content">
								{{persiondata.materialname}}
								</span>
							</div>
							<div class="add">
								<div v-for="(item,index) in persiondata.exampleitem" class="add-name" style="padding-left:24px;display:inline-block">
									<a v-if="item.type=='1'" :download=item.url :href=item.url  data-pic='1' class="add-content">{{item.url==''?'无':'样例'}}{{index+1}}</a>
									<a v-else :href=item.url data-file='1' class="add-content">{{item.url==''?'无':'样例'}}{{index+1}}</a>
								</div>
								
								<div class="file">
								<ul class="mui-table-view" :class=persiondata.index>
									<persion-data-upload v-for="item in persiondata.innerdata" :persiondata="item" >
									</persion-data-upload>
								</ul>
								</div>
								<div class="add-bottom">
									<div v-if="persiondata.typeone" class="typeone">
										<div class="noadd">电子证照中已存在,无需提交。</div>
									</div>
									<div v-if="persiondata.typetwo" class="typetwo" style="display: inline;">
										<input type="checkbox" class="" :data-index=persiondata.index />
										<span class="type">窗口提交</span>
									</div>
									<div v-if="persiondata.typethree" class="typethree" >
										<!--<span :data-index=indexW class="button upload">本地上传</span>-->
										<button class="myphoto">我的证照</button>
										<span :data-index=indexW class="button upload new">拍照/从手机相册选取</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				</div>
				`,
	components: {
		'persion-data-upload': persionDataUpLoad
	}
});


var materialListInner = Vue.extend({
	props: ['persiondata',"index"],
	template: `<div><span>{{index+1}}、{{persiondata.materialname}}  </span><span class="iconfont icon-cuowu"></span></div>`
});
Vue.component('government-material-list', {
	props: ['materiallist'],
	template: `<div><material-list-inner v-for="(item,index) in materiallist" :persiondata="item" :index="index">
				</material-list-inner></div>`,
	components: {
		'material-list-inner': materialListInner
	}
});