Vue.component('basic-info-detail', {
	props: ['basicdata'],
	template: `<div>
			<div class="basic padding-top-10">
				<ul class="mui-table white-fff">
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">事项名称</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.ql_name}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">业务名称</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.ql_name_yw}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">事项编码</label>
							<input type="text" class="input-11 mui-ellipsis" value="行政许可" :value=basicdata.item_code readonly="readonly">
							
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">权力来源</label>
							<input type="text" class="input-11 mui-ellipsis" value="行政许可" :value=basicdata.itemsource_name readonly="readonly">
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">职权类型</label>
							<input type="text" class="input-11 mui-ellipsis" value="行政许可" :value=basicdata.ql_kind_name readonly="readonly">
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">行使层级</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.shiquancj_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">办理类型 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.bjtype_name />
						</div>
					</li>
					<li class="mui-table-view-cell mui-collapse-content">
						<div class="mui-input-row">
							<span class="txt14">审批依据：</span>
							<div class="txt14 div-corlor margin-top-10">
								<span>{{basicdata.lawbasis}}</span>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">权限划分 </label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.qxhf}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">受理机构</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.sljg>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">机构性质</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.sljgxz_name>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">决定机构</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.jdjg />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">机构性质</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.jdjgxz_name>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">通办范围 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.tongbanmode_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">联合审批 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.sflhsp_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">办理形式 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.blxs_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">支持预约办理</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.if_appoint_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">支持物流快递 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.if_ems_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">是否支持网上支付 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.if_onlinepay_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">集中办理  </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.sfjzbl_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">适用范围 </label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.syfw}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">禁止性要求</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.jzxyq />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">定期检验及依据</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.dqjyjyj />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">办理公示 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.blgs />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">办理查询 </label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.blcx}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130 mui-ellipsis-2" style="">服务对象及领域 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.ql_object_name />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">办理地点</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.accept_address}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">工作时间</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.accept_time}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">咨询联系电话</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.link_tel}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">监督投诉渠道</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.supervise_tel}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">承诺时限 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.anticipate_day />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">法定时限 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=basicdata.promise_day />
						</div>
					</li>
					<li class="mui-table-view-cell li-height mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">期限说明</label>
							<div class="box">
								<div class="center">
									<div class="contents mui-ellipsis-2 txt14">{{basicdata.sxsm}}</div>
								</div>
							</div>
						</div>
					</li>
				</ul></div></div>`

});