var hotelData = Vue.extend({
	props: ['hoteldata'],
	template: ` <li class="mui-table-view-cell mui-media">
			        <a href="javascript:;">
			            <img class="mui-media-object mui-pull-left" v-if="hoteldata.cover" :src=hoteldata.cover>
			            <img class="mui-media-object mui-pull-left" v-else src="../../images/0logo1.png">
			            <div class="mui-media-body">
			                <div class="content">{{hoteldata.name}}</div>
			                <p class="mui-ellipsis"><label>{{hoteldata.area}}㎡</label><label>{{hoteldata.bed}}</label><label>{{hoteldata.wifi}}</label></p>
			            </div>
			            <div class="price"><label>¥{{hoteldata.suit[0].price}}</label>起</div>
			        </a>
			    </li>`
});
var hoteltop = Vue.extend({
	props: ['hoteldata'],
	template: `<div class="mui-slider-item">
						<a href="#">
							<img :src=hoteldata.src>
						</a>
					</div>`
});
Vue.component('life-hotel-detail', {
	props: ['photolist'],
	template: `<div id="slider" class="mui-slider"  v-if="photolist.length!=0">
					<div class="mui-slider-group mui-slider-loop">
						<div class="mui-slider-item mui-slider-item-duplicate">
							<a href="#">
								<img :src=photolist[photolist.length-1].src>
							</a>
						</div>
					<hotel-top v-for="item in photolist" :hoteldata="item"></hotel-top>
					<div class="mui-slider-item mui-slider-item-duplicate">
						<a href="#">
							<img :src=photolist[0].src>
						</a>
					</div>
				</div>
				<div class="mui-slider-indicator">
					<div class="pic-bottom">
						<span class="content"></span>
						<span class="index"></span>
					</div>
				</div>
			</div>`,
	components: {
		'hotel-top':hoteltop
	}
});
Vue.component('life-hotel-detail-list', {
	props: ['typelist'],
	template: `
			<ul id="homeList" class="mui-table-view">
				<hotel-data v-for="item in typelist" :hoteldata="item"></hotel-data>
			</ul>
			`,
	components: {
		'hotel-data': hotelData,

	}
});