var otherdayData = Vue.extend({
	props: ['listdata'],
	template: `<div class="one-day">
					<div class="day">{{listdata.date}}</div>
					<img :alt=listdata.wea :src="'../../images/weather/'+listdata.wea_img+'.png'">
					<div class="temp">
						<span class="min_tem">{{listdata.min_tem}}</span>
						<span class="s-c">~</span>
						<span class="max_tem s-c">{{listdata.max_tem}}</span>
					</div>
				</div>`
});

Vue.component('weather-list', {
	props: ['todaydata','listdata'],
	template: `<div>
	<div class="top">
					<span class="today-date">{{todaydata.date}}</span>
					<span class="today-week">{{todaydata.week}}</span>
				</div>

			<div class="middle">
				<div class="width-20"><span>{{todaydata.cur_tem}}</span></div>
				<div class="width-60">
					<div class="f16 s-c">
						<span class="min_tem">{{todaydata.min_tem}}</span>
						<span>~</span>
						<span class="max_tem">{{todaydata.max_tem}}</span>
					</div>
					<span class="city">{{todaydata.city}}</span>
				</div>
				<img class="wea" :alt=todaydata.wea :src="'../../images/weather/'+todaydata.wea_img+'.png'">
			</div>

			<div class="bot">
				<div class="air">
					<div class="wet">
						<span class="s-c">空气质量</span>
						<span class="air_level">{{todaydata.air_level}}</span>
					</div>
					<div class="wet">
						<span class="s-c">相对湿度</span>
						<span class="humidity">{{todaydata.humidity}}</span>
						<span>%</span>
					</div>
				</div>
				<div>
					<div class="wind">
						<span class="s-c">风向</span>
						<span class="win">{{todaydata.win}}</span>
					</div>
					<div class="wind">
						<span class="s-c">风力</span>
						<span class="win_speed win">{{todaydata.win_speed}}</span>
					</div>
				</div>
			</div>
			<div class="otherday">
				<otherday-data v-for="item in listdata" :listdata="item"></otherday-data>
			</div></div>`
			,
			
	components: {
		'otherday-data': otherdayData
	}
});

