var infoData = Vue.extend({
	props: ['infodata','index'],
	template: `<li class="mui-table-view-cell" :data-id=infodata.comId>
					<a class="mui-navigate-right">
						<div class="mui-table pb5 safe">
							<div class="mui-table-cell mui-col-xs-10">
								<div class="txt-16 text-gery pb5">{{infodata.comName}}</div>
								<p class="mui-h6 mui-ellipsis-2 pr10">法人：{{infodata.legalName}}</p>
							</div>
							<div class="mui-table-cell mui-col-xs-2 mui-text-right">
								<div class="mui-h5">已绑定</div>
							</div>
						</div>
					</a>
				</li>`
});

Vue.component('company-info-data', {
	props: ['infodata'],
	template: `<ul class="mui-table-view">
				<info-data v-for="(item,index) in infodata" :index=index :infodata="item"></info-data>
				</ul>`,
	components: {
		'info-data': infoData
	}
});
