var orderData = Vue.extend({
	props: ['orderlist'],
	template: `<div class="pay_describe">
				<div class="pay_info">
					<div class="pay_date">账期：{{orderlist.orderDesc}}</div>
					<div class="pay_line">
						<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
						<div></div>
						<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
					</div>
					<ul>
						<li><span>缴款单号：</span><span>{{orderlist.bizNumber}}</span></li>
						<li><span>缴费项目：</span><span>{{orderlist.orderName}}</span></li>
						<li><span>缴款描述：</span><span>{{orderlist.orderDesc}}</span></li>
						<li><span>执收单位：</span><span>{{orderlist.receiverName}}</span></li>
						<li><span>缴费金额：</span><span>{{orderlist.reivable}}元</span></li>
					</ul>
					<div class="pay_line">
						<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
						<div></div>
						<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
					</div>
					<div class="pay_money"><span>￥</span><span class="pay_cost">{{orderlist.reivable}}元</span></div>
				</div>
				<form name="alipayment" action="http://jzt.0416city.com/pay/tradeorder/mbpay" method="post" target="_blank">
					<input type="hidden" size="30" name="out_trade_no" :value="orderlist.bizNumber" />
					<input type="hidden" size="30" name="subject" :value="orderlist.orderName" />
					<input type="hidden" size="30" name="total_fee" :value="orderlist.reivable" />
					<input type="hidden" size="30" name="body" :value="orderlist.orderDesc" />
					<input type="hidden" size="30" name="show_url" :value="orderlist.receiverName" />
					<button class="pay_button" :out_trade_no=orderlist.bizNumber :subject=orderlist.orderName :total_fee=orderlist.reivable :body=orderlist.orderDesc :show_url=orderlist.receiverName>缴费</button>
				</form>
			</div>`
});

Vue.component('payment-order-list', {
	props: ['orderlist'],
	template: `<div>
					<order-list v-for="item in orderlist" :orderlist="item">
					</order-list>						
				</div>`,
	components: {
		'order-list': orderData
	}
});