var unitpay = Vue.extend({
	props:['unitpaylist'],
	template:`
		<div class="pay_describe">
			<div class="pay_info">
				<div class="pay_date">账期：<span>{{unitpaylist.orderDesc}}</span></div>
				<div class="pay_line">
					<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
					<div></div>
					<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
				</div>
				<ul>
					<li><span>缴款单号：</span><span>{{unitpaylist.bizNumber}}</span></li>
					<li><span>缴费项目：</span><span>{{unitpaylist.orderName}}</span></li>
					<li><span>缴款描述：</span><span>{{unitpaylist.orderDesc}}</span></li>
					<li><span>执收单位：</span><span>{{unitpaylist.receiverName}}</span></li>
					<li><span>缴费金额：</span><span>{{unitpaylist.reivable}}元</span></li>
				</ul>
				<div class="pay_line">
					<span class="iconfont icon-iconjindutiaoyoubanyuan"></span>
					<div></div>
					<span class="iconfont icon-iconjindutiaozuobanyuan"></span>
				</div>
				<div class="pay_money"><span>￥</span><span class="pay_cost">{{unitpaylist.reivable}}元</span></div>
			</div>
			
			<form name="alipayment" action="http://jzt.0416city.com/pay/tradeorder/mbpay" method="post">
				<input type="hidden" size="30" name="out_trade_no" :value="unitpaylist.bizNumber" />
				<input type="hidden" size="30" name="subject" :value="unitpaylist.orderName" />
				<input type="hidden" size="30" name="total_fee" :value="unitpaylist.reivable" />
				<input type="hidden" size="30" name="body" :value="unitpaylist.orderDesc" />
				<input type="hidden" size="30" name="show_url" :value="unitpaylist.receiverName" />
				<button class="pay_button">缴费</button>
			</form>
		</div>
	`
});

Vue.component('unitpay-data', {
	props: ['unitpaylist'],
	template: `<div>
					<pay-describe-data v-for="item in unitpaylist" :unitpaylist="item"></pay-describe-data>
				</div>`,
	components: {
		'pay-describe-data': unitpay
	}
});