var optionlistData = Vue.extend({
	props: ['optiondata','index','data'],
	template: `<div v-if="data.typeId==1||data.typeId==3">
					<div class="mui-input-row mui-radio mui-left" v-if="optiondata.option==data.result" data-result='1' :data-score=data.score>
						<label>
	  							<span>{{optiondata.option}}</span>
	  							<span>{{optiondata.content}}</span>
						</label>
						<img v-if="optiondata.pic" style="width: 80%;margin-top: 10px;" :src=optiondata.pic class="titles_img">
						<input name="radio1" type="radio"  data-result='1' :data-score=data.score>
					</div>
					<div v-else class="mui-input-row mui-radio mui-left">
						<label>
	  							<span>{{optiondata.option}}</span>
								<span>{{optiondata.content}}</span>
								<img v-if="optiondata.pic" style="width: 80%;margin-top: 10px;" :src=optiondata.pic class="title_img">
						</label>
						<input  name="radio1" type="radio">
					</div>
				</div>
				<div v-else-if="data.typeId==2">
					<div class="mui-input-row mui-checkbox mui-left" >
						<label>
  							<span>{{optiondata.option}}</span>
							<span>{{optiondata.content}}</span>
	  					</label>
						<input :data-option=optiondata.option name="checkbox1" value="Item 1" type="checkbox">
					</div>
				</div>`
				
});

Vue.component('question', {
	props: ['questiondata','index'],
	template: `<div v-if="questiondata.typeId==1 || questiondata.typeId==3">
	
				<div class="topic" :data-id=questiondata.id>
					<span class="iconfont icon-danxuan"></span>
					<span>&nbsp;{{index+1}}、&nbsp;单选：</span>
					<span>{{questiondata.question}}</span>
				</div>
				<div class="mui-slider-item">
					<img style="width:100%" v-if="questiondata.questionPic" :src=questiondata.questionPic>
				</div>
				<div> 请选择答案</div>
		
				<div class="mui-card">
					<form class="mui-input-group">
						<option-list-data v-for="item in questiondata.optionList" :index=index :optiondata="item" :data=questiondata></option-list-data>
					</form>
				</div>
				<button class="right_next mui-hidden next" :data-index=index :data-score=questiondata.score>下一题</button>
				<div class="ture mui-hidden">
					<div class="congration">恭喜您答对了</div>
					<div class="right_detail">{{questiondata.comment}}</div>
				</div>
				<div class="false mui-hidden">
					<div class="sorry">很遗憾答错了</div>
					<div class="right_detail">{{questiondata.comment}}</div>
					<div class="right_ans">正确答案：<span>{{questiondata.result}}</span></div>
				</div>
			</div>
			<div v-else-if="questiondata.typeId==2">
				<div class="topic">
					<span class="iconfont icon-duoxuan"></span>
					<span>&nbsp;{{index+1}}、&nbsp;多选：</span>
					<span>{{questiondata.question}}</span>
				</div>
				<div class="mui-slider-item">
					
				</div>
				<div> 请选择答案</div>
				<div class="mui-card">
					<form class="mui-input-group">
						<option-list-data v-for="item in questiondata.optionList" :index=index :optiondata="item" :data=questiondata></option-list-data>
					</form>
				</div>
				<div class="btn_all">
					<button  class="btn_center" :data-score=questiondata.score>确认</button>
					<button  class="next btn_next" :data-score=questiondata.score>下一题</button>
				</div>
				<div class="ture mui-hidden">
					<div class="congration">恭喜您答对了</div>
					<div class="right_detail">{{questiondata.comment}}</div>
				</div>
				<div class="false mui-hidden">
					<div class="sorry">很遗憾答错了</div>
					<div class="right_detail">{{questiondata.comment}}</div>
					<div class="right_ans">正确答案：<span>{{questiondata.result}}</span></div>
				</div>
				
			</div>`,
	components: {
		'option-list-data': optionlistData
	}
});