var prodetailsData = Vue.extend({
	props: ['prodetailsdata','index'],
	template: `
	<tbody v-if="(index+1)%2=='0'" class="bg-gray">
			<tr>
			    <td rowspan="2">{{index+1}}</td>
			    <td rowspan="2">{{prodetailsdata.price}}</td>
			    <td rowspan="2">{{prodetailsdata.areaName}}/{{prodetailsdata.communityName}}/{{prodetailsdata.streetName}}</td>
			    <td>{{prodetailsdata.subsidyDate}}</td>
			    <td>{{prodetailsdata.personCount}}</td>
			  </tr>
			  <tr>
			    <td class="text-blue">{{prodetailsdata.sendTime.substring(0,10)}}</td>
			    <td>{{prodetailsdata.avgPrice}}</td>
			  </tr>
			 
	</tbody> 
	
	<tbody v-else>
			<tr>
			    <td rowspan="2">{{index+1}}</td>
			    <td rowspan="2">{{prodetailsdata.price}}</td>
			    <td rowspan="2">{{prodetailsdata.areaName}}/{{prodetailsdata.communityName}}/{{prodetailsdata.streetName}}</td>
			    <td>{{prodetailsdata.subsidyDate}}</td>
			    <td>{{prodetailsdata.personCount}}</td>
			  </tr>
			  <tr>
			    <td class="text-blue">{{prodetailsdata.sendTime.substring(0,10)}}</td>
			    <td>{{prodetailsdata.avgPrice}}</td>
			  </tr>
			  
			  </tbody>
	
	
	
	`
			 
			  
});

Vue.component('person_pro_details', {
	props: ['prodetailsdata'],
	template: `<table class="table-subsidy1">
					<tr class="subsidy-title1">
						<th>序号</th>
						<th>金额<br>（元）</th>
						<th>地区</th>
						<th>补助时段<br>发放时间</th>
						<th>保障人数<br>人均保障金</th>
					</tr>
					<prodetails-data v-for="(prodetailsdata,index) in prodetailsdata" :index=index :prodetailsdata="prodetailsdata"></prodetails-data>
				</table>`,
	components: {
		'prodetails-data': prodetailsData
	}
});