//外层table循环-start
var hotelListData = Vue.extend({
	props: ['hotellist','subjectid','subjectname'],
	template: `<tr>
					<td>{{hotellist.year}}年</td>
						<td>{{hotellist.count}}</td>
						<td>
							<p class="money_combin">{{hotellist.sumPrice}}元</p>
							<div>
								<button id="detail" :data-id=subjectid :data-name=subjectname :data-year=hotellist.year class="mui-btn mui-btn-outlined iconfont icon-shouzhi txt-14" >
								查看明细
							</button>
							</div>
						</td>
					</tr>`
});

Vue.component('life-hotel-list', {
	props: ['hotellist'],
	template: `<div>
			<div v-for="hotellistitem in hotellist">
				<div class="p10">
					<span class="iconfont icon-xiangsujiantou"></span>
					<span class="iconfont icon-xiangsujiantou ml-12"></span>
					<span class="text-black">{{hotellistitem.subjectName}}</span>
				</div>
				<table cellpadding="0" cellspacing="0" class="living_subsidies" border="1">
					<tr>
						<td colspan="3">政策说明>></td>
					</tr>
					<tr>
						<td>年度</td>
						<td>发放笔数</td>
						<td>发放金额合计</td>
					</tr>
					
					<hotel-list v-for="item in hotellistitem.yearStatVOS" :subjectid="hotellistitem.subjectId" :subjectname="hotellistitem.subjectName" :hotellist="item">
					</hotel-list>
				</table>
			</div></div>`,
	components: {
		'hotel-list': hotelListData
	}
});
//外层table循环-end