var planData = Vue.extend({
	props: ['plandatas'],
	template: `<li class="mui-table-view-cell">
					<p style="margin-bottom: 5px;">
						<span class="mui-table-li-p-date">{{plandatas.yearMonth}}</span>
						<span class="mui-table-li-p-price-green">{{plandatas.sumShould}}</span><span class="ps">元</span>
					</p>
					<p><span class="mui-table-li-p-count-1">第</span>
						<span class="mui-table-li-p-count-2">{{plandatas.dqqs}}</span>
						<span class="mui-table-li-p-count-3">期</span>
						<span class="mui-table-li-p-count-4">本金：{{plandatas.shouldCorpus}}</span>
						<span class="mui-table-li-p-count-4">利息： {{plandatas.shouldInterest}}</span></p>
				</li>
	`
});

Vue.component('repayment-plan', {
	props: ['plandata'],
	template: `<div class="mui-content-main">
					<ul class="mui-table-view">
						<plan-data v-for="item in plandata" :plandatas="item"></plan-data>
					</ul>
				</div>`,
	components: {
		'plan-data': planData
	}
});