//按项目查询
var projectData = Vue.extend({
	props: ['projectlist','index'],
	template: `<li class="mui-table-view-cell mui-media mui-col-xs-6 mui-col-sm-6" :data-id=projectlist.subjectId>
						<div>
							<div class="f14">
								<span  class="iconfont icon-qian2"></span>
								<span  class="mui-ellipsis-2 w58">{{projectlist.subjectName}}</span>
							</div>
							<div class="f14">
								<p class="red">{{projectlist.count}}</p>
								<p>个县区</p>
							</div>
						</div>
					</li>`
});

Vue.component('ul-project-list', {
	props: ['projectlist'],
	template: `<ul class="mui-table-view mui-grid-view mui-grid-9">
					<project-data v-for="(item,index) in projectlist" :index=index :projectlist="item"></project-data>
					<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3">
				    </li>
				</ul>`,
	components: {
		'project-data': projectData
	}
});

//<div><span class="iconfont icon-gengduo1"></span><span>更多项目</span></div>
//按地区查询
var regionData = Vue.extend({
	props: ['regionlist','index'],
	template: `<li class="mui-table-view-cell mui-media mui-col-xs-6 mui-col-sm-6" :data-code=regionlist.areaCode :data-name=regionlist.areaName>
						<div>
							<div class="f12">
								<span class="iconfont icon-danwei"></span>
								<span class="w58">{{regionlist.areaName}}</span> 
							</div>
							<div class="f14">
								<p class="red">{{regionlist.count}}</p>
								<p>个项目</p>
							</div>
						</div>
					</li>`
});






Vue.component('ul-region-list', {
	props: ['regionlist'],
	template: `<ul class="mui-table-view mui-grid-view mui-grid-9">
					<region-data v-for="(item,index) in regionlist" :index=index :regionlist="item"></region-data>
				</ul>`,
	components: {
		'region-data': regionData
	}
});