var itemData = Vue.extend({
	props: ['itemdata','index'],
	template: `<tr class="subsidy-value">
						<td>{{index+1}}</td>
						<td>{{itemdata.communityName}}</td>
						<td>{{itemdata.pcount}}</td>
						<td>{{itemdata.amount}}</td>
						<td><button type="button" class="mui-btn mui-btn-outlined iconfont icon-shouzhi txt-14" :data-code=itemdata.communityCode>点击这里</button></td>
					</tr>`
});

Vue.component('subsidy_item', {
	props: ['itemdata'],
	template: `<table class="table-subsidy">
					<tr class="subsidy-title">
						<th>序号</th>
						<th>社区<br>（村）</th>
						<th>人数</th>
						<th>金额</th>
						<th>发放到个人</th>
					</tr>
					<item-data v-for="(item,index) in itemdata" :index=index :itemdata="item"></item-data>
				</table>`,
	components: {
		'item-data': itemData
	}
});