var regionData = Vue.extend({
	props: ['regiondata','index'],
	template: `<tr class="subsidy-value">
						<td>{{index+1}}</td>
						<td>{{regiondata.subjectName}}</td>
						<td>{{regiondata.streetCount}}</td>
						<td>{{regiondata.userCount}}</td>
						<td>{{regiondata.priceSum}}</td>
						<td><button type="button" class="mui-btn mui-btn-outlined iconfont icon-shouzhi txt-14" :data-id=regiondata.subjectId >点击这里</button></td>
					</tr>`
});

Vue.component('subsidy_region', {
	props: ['regiondata'],
	template: `<table class="table-subsidy">
					<tr class="subsidy-title">
						<th>序号</th>
						<th>项目</th>
						<th>街道</th>
						<th>人数</th>
						<th>金额</th>
						<th>发放到<br>街道（镇）</th>
					</tr>
					<region-data v-for="(item,index) in regiondata" :index=index :regiondata="item"></region-data>
				</table>`,
	components: {
		'region-data': regionData
	}
});