

var services = {service: "Article/getDetail/", model: ""}, params = {id: mui.requestOne("id")};

mui.init(lsInit({
    pullRefresh: {
        container: '#pullRefresh',
        down: {
            callback: function () {
                asyncObtainServiceData(mui('#pullRefresh').pullRefresh());
            }
        }
    }
}));

function asyncObtainServiceData(refresh) {
    mui.ajaxService(lsService(services.service, services.model), lsRequest(params), {
        onSuccess: function (data) {
            if (refresh !== undefined) refresh.endPulldownToRefresh();
            infoTpl(data);
//          $("a").each(function(){
//					$(this).attr("val",$(this).attr("href"));
//					$(this).removeAttr("href");
//				})
        }
    }, 1);
}

function infoTpl(data) {
    if (jQuery.isPlainObject(data) && !jQuery.isEmptyObject(data)) {
        mui.outputContainerHtml("#pullRefresh .pull-refresh-container", data, function (item) {
            return '<div class="mui-content">' +
            	   		'<div class="mui-card mui-full-card mg-0 pt-5">' +
            				'<div class="mui-card-header header-left tac">' + item.title + '</div>' +
            				'<div class="font-note tac pt-5 pb-5"><span>来源：'+item.source+'</span><span class="pl-5 pr-5">更新时间：'+item.pubtime+'</span><span>浏览：'+item.hits+'</span></div>' +
            				'<div class="mui-card-content">' +
            					'<div class="mui-card-content-inner">' + item.content + '</div>' +
            				'</div>' +
            			'</div>' +
            		'</div>';   
        }, null);
    }
}

asyncObtainServiceData();


