
/**
 * 锦州通APP获取access_token
 * @param {Object} token
 */
function jztGetToken() {
	return app.getCache("token","");
}

/**
 * 锦州通APP获取用户基本信息
 * 例： "userId":41,"username":"chenrui","password":"$2a$10$Zm00UzAKx7lHFSq.7XnDa.YGKve4dnwF.0WoLisRf1/aaMLghSBry","salt":null,"phone":"15241359001","cardId":"210703199101032432","sex":"男","nickName":"","avatar":"http://60.21.253.32:40135/resources/gov/a2562d2ed1e24a34824bc144cb9b8642/1553934329450.jpeg","addrHousehold":"辽宁省-锦州市-古塔区","status":null,"createTime":null,"updateTime":1558682649000,"delFlag":"0","minority":null,"qrcode":null,"address":"绿景湾c1-1","cerType":1,"realName":"真实姓名","email":"12543@126.com","ethnic":"汉族","isCompleted":1,"isAuthorized":1,"authType":"人脸识别认证"}"
 */
function jztGetUserInfo() {
	return app.getCache("user","");
}


var app = {

	/**
	 * 获取缓存数据
	 * @param {Object} key 键
	 * @param {Object} value 默认值
	 *
	 * return json对象
	 */
	getCache: function(key, value) {
		var json = {
			key: key,
			content: value
		}
		if(mui.os.ios) {
			return window.jzt.getCache(JSON.stringify(json));
		} else if(mui.os.android) {
			if(key.startsWith("solidity_")) {
				return window.jzt.GetByFile(key + ".txt");
			} else {
				return window.jzt.getCache(JSON.stringify(json));
			}
		}

	}
};