function initTimePicker(containId, endDay, settings) {
	(function($) {
		var btns = $('#' + containId);
		btns.each(function(i, btn) {
			btn.addEventListener('tap', function() {
				var _self = this;
				if(_self.picker) {
					_self.picker.show(function(rs) {
						settings.success(rs)
						_self.picker.dispose();
						_self.picker = null;
					});
				} else {
					var optionsJson = this.getAttribute('data-options') || '{}';
					var options = {
						"type": "date",
						"beginYear": 2015,
						"endYear": endDay
					};
					_self.picker = new $.DtPicker(options);
					_self.picker.show(function(rs) {
						settings.success(rs)
						_self.picker.dispose();
						_self.picker = null;
					});
				}

			}, false);
		});
	})(mui);
}