var map, geolocation;
//加载地图，定位
map = new AMap.Map('container', {
	resizeEnable: true,
	ayers: [ //只显示默认图层的时候，layers可以缺省
		new AMap.TileLayer() //高德默认标准图层
	],
	zoom: 13
});
map.plugin('AMap.Geolocation', function() {
	geolocation = new AMap.Geolocation({
		enableHighAccuracy: true, //是否使用高精度定位，默认:true
		timeout: 10000, //超过10秒后停止定位，默认：无穷大
		buttonOffset: new AMap.Pixel(10, 20), //定位按钮与设置的停靠位置的偏移量，默认：Pixel(10, 20)
		zoomToAccuracy: false, //定位成功后调整地图视野范围使定位位置及精度范围视野内可见，默认：false
		buttonPosition: 'RB'
	});
	map.addControl(geolocation);
	geolocation.getCurrentPosition();
	AMap.event.addListener(geolocation, 'complete', onComplete); //返回定位信息
	AMap.event.addListener(geolocation, 'error', onError); //返回定位出错信息
});
//解析定位结果
function onComplete(data) {
	x = data.position.getLng();
	y = data.position.getLat();
//	mui.toast(x + "|" + y)
	console.log(data.formattedAddress)
	//	initListData();
	initData();
	//				var str = ['定位成功'];
	//				str.push('经度：' + data.position.getLng());
	//				str.push('纬度：' + data.position.getLat());
	//				if(data.accuracy) {
	//					str.push('精度：' + data.accuracy + ' 米');
	//				} //如为IP精确定位结果则没有精度信息
	//				str.push('是否经过偏移：' + (data.isConverted ? '是' : '否'));
	//				document.getElementById('tip').innerHTML = str.join('<br>');
}
//解析定位错误信息
function onError(data) {
	x = "121.139494";
	y = "41.125525";
	//	initListData();
	initData();
	//	x = "121.135742";
	//	y = "41.119269";
}

//实时路况图层
//var trafficLayer = new AMap.TileLayer.Traffic({
//	zIndex: 10
//});
//trafficLayer.setMap(map);
//trafficLayer.hide();
//var isVisible = false;
//AMap.event.addDomListener(document.getElementById('control'), 'click', function() {
//	if(isVisible) {
//		trafficLayer.hide();
//		isVisible = false;
//	} else {
//		trafficLayer.show();
//		isVisible = true;
//	}
//}, false);
function addListener() {
	//	var isTop = true;
	//	var scroll = mui('.mui-scroll-wrapper').scroll();
	//	document.querySelector('.mui-scroll-wrapper').addEventListener('scroll', function(e) {
	//		var scrollTop = scroll.y;
	//		//判断滚动到底部
	//		if(scrollTop == 0) {
	//			isTop = true;
	//		} else {
	//			isTop = false;
	//		}
	//	});
	mui("body").on("tap", ".bottom", function() {
		$(".two").css({
			height: "0"
		});
		if(bottomShow) {
			missToHalf();
		}
	})
	mui("body").on("swipeup", ".bottom", function() {
		if(bottomShow) {
			missToHalf();
		}
	})

	mui("body").on("swipeup", ".two", function() {
		halfToAll();
	})
	mui("body").on("swipedown", ".two", function() {
		if(twoState == "2") {
			allToHalf();
		} else {
			if(bottomShow) {
				halfToMiss();
			}
		}
	})
	mui("body").on("tap", ".back", function() {
		if(isShowDetail) {
			showList();
		} else {
			mui.back();
		}
	})
}

function allToHalf() {
	$("#container").css("bottom", "0");
	$(".two").stop(); //停止动画
	$(".two").css("top", "");
	$(".one").removeClass("mui-hidden");
	$(".two").animate({
		height: "314px"
	}, 500);
	setTimeout(function() {
		if(twoState == "1") {
			$("#container").css("bottom", "274px");
		} else {
			$("#container").css("bottom", "0");
		}
	}, 500);
	$("#one").removeClass("mui-hidden");
	//	$("#two").addClass("mui-hidden");
	//	$("#list").removeClass("mui-hidden");
	$(".mui-scroll-wrapper").addClass("mui-hidden");
	twoState = "1";
}

function halfToAll() {
	$(".two").animate({
		height: "100%",
		top: "45px"
	}, 500);
	setTimeout(function() {
		if(twoState == "2") {
			$(".one").addClass("mui-hidden");
		}
		if(isShowDetail) {
			mui.openWindow({
				url: "list_item_service.html",
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
					aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
					duration: '0' //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
				},
				extras: {
					listone: serviceList,
					x: x,
					y: y,
					orgid:orgid
				},
			});
		} else {
			mui.openWindow({
				url: "list_item_address.html",
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
					aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
					duration: '0' //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
				},
				extras: {
					listtwo: addressList,
					x: x,
					y: y
				},
			});
		}
	}, 500);
	//	$("#two").removeClass("mui-hidden");
	$("#one").addClass("mui-hidden");
	$(".mui-scroll-wrapper").removeClass("mui-hidden");
	//	$("#list").addClass("mui-hidden");
	twoState = "2";
}

function halfToMiss() {
	$("#container").css("bottom", "0");
	$(".two").animate({
		height: "-314px"
	}, 500);
	setTimeout(function() {
		$(".one").removeClass("mui-hidden");
	}, 500);
	twoState = "0"
}

function missToHalf() {
	$(".two").removeClass("mui-hidden");
	$(".two").animate({
		height: "314px"
	}, 500);
	setTimeout(function() {
		$("#container").css("bottom", "274px");
	}, 500);
	twoState = "1";
}
window.addEventListener('resultSearch', function(e) {
	initData(e.detail.content);
	mui.toast("X:" + x + "Y:" + y);
	$(".mui-input-speech").val(e.detail.content);
});
window.addEventListener('result', function(e) {
	toMap(e.detail.index, e.detail.dataInit)
	allToHalf();
});
window.addEventListener('resultDown', function(e) {
	if(twoState == "2") {
		allToHalf();
	}
});

function toMap(index, dataInit) {
	value.mapdata = dataInit;
	map.panTo([dataInit.x, dataInit.y]);
	targetPoint.x = dataInit.x;
	targetPoint.y = dataInit.y;
//	walk(targetPoint)
	addMarkers(index);
	showDetail();
	if(twoState == "2") {
		allToHalf();
	}

}
// 实例化点标记
function addMarkers(index) {
	for(i in markers) {
		setMarkerIcon(markers[i], "https://webapi.amap.com/theme/v1.3/markers/n/mark_b.png")
	}
	setMarkerIcon(markers[index], "https://webapi.amap.com/theme/v1.3/markers/n/mark_r.png")
	map.setZoom(18);
}

function showDetail() {
	bottomShow = false;
	isShowDetail = true;
	$("#listContainer").addClass("mui-hidden");
	$("#detailContainer").removeClass("mui-hidden");
}

function showList() {
	bottomShow = true;
	isShowDetail = false;
	$("#detailContainer").addClass("mui-hidden");
	$("#listContainer").removeClass("mui-hidden");
}
//更新marker的图片
function setMarkerIcon(marker, url) {
	marker.setIcon(url);
}

function initData(search) {
//	jztLoginOut();
	var url = "http://192.168.13.90:9900/app/orgorganization/search?s=古塔";
	//	if(x != null && y != null){
	//		url +="&x="+x+"&y="+y;
	//	}
	mui.axiosService(url, {}, {
		"success": function(response) {
			addressList = response.records;
			value.list = addressList;
			addMarker(response.records);
		},
		"error": function() {

		}
	}, "get");
}

function initListData() {
//	jztLoginOut();
	var url = "http://192.168.13.90:9900/app/serservice/getservicesbyorgid?&orgid=" + orgid;
	mui.axiosService(url, {}, {
		"success": function(response) {
			serviceList = response.records;
			value.listtwo = serviceList;
		},
		"error": function() {

		}

	}, "get")
}

function clickButton(content) {
	alert("你点击了" + content);
}

function addMarker(data) {
	for(index in data) {
		var marker = new AMap.Marker({
			icon: "https://webapi.amap.com/theme/v1.3/markers/n/mark_b.png",
			position: [(data[index]).x, (data[index]).y]
		});
		marker.id = data[index].index;
		marker.on('click', function(e) {
			alert("你点击了id是" + e.target.id + "的标注");
		});
		marker.setMap(map);
		markers.push(marker);
	}
}
////步行路线
//function walk(point) {
//	var walking = new AMap.Walking({
//		map: map,
//	});
//	walking.search([x, y], [point.x, point.y]);
//}
////骑行路线
//function riding(point) {
//	var riding = new AMap.Riding({
//		map: map
//	});
//	//根据起终点坐标规划骑行路线
//	riding.search([x, y], [point.x, point.y]);
//}
////驾车导航路线
//function driving(point) {
//	var driving = new AMap.Driving({
//		map: map
//	});
//	// 根据起终点经纬度规划驾车导航路线
//	driving.search([x, y], [point.x, point.y]);
//}