
var gov_Config={
	//服务对象数据
	datas:[
		{id:1,name:"自然人",group:1,index:1,text:"自然人"},
		{id:2,name:"企业法人",group:2,index:2,text:"企业法人"},
		{id:3,name:"事业法人",group:2,index:3,text:"事业法人"},
		{id:4,name:"社会组织法人",group:2,index:4,text:"社会组织法人"}
	],
	//服务对象分组，不同分组使用相同的表单
	groups:{
		1:{name:"个人办事",editUrl:"view/government/online_declare.html"},
		2:{name:"企业办事",editUrl:"view/government/online_declare_affairs.html"}
	},
	//根据服务对象id获取分组id。包含个人的就 算是个人分组，忽略法人分组。
	getGroupId:function(ids){
		if(ids.indexOf("1")!=-1){
			//自然人办事
			return "1";
		}else{
			//法人办事
			return "2";
		}
	},
	getGroupName:function(ids){
		var groupId=this.getGroupId(ids);
		if(this.groups[groupId]){
		    return this.groups[groupId].name;
		}else{
		    return "";
		}
	},
	//根据服务对象Id,获取办事表单地址
	getEditUrl:function(ids){
		var groupID=this.getGroupId(ids);
		return this.groups[groupID].editUrl;
	},
	//获取id对应的服务对象
	findById:function(id){
		for(var i=0;i<this.datas.length;i++){
			if(this.datas[i].id==id){
				return this.datas[i]
			}
		}
		return false;
	},
	//获取id对应的服务对象信息列表
	selectByIds:function (ids){
		var idArray= String(ids).split(",");
		var datalist=[];
		for(var i=0;i<idArray.length;i++){
			var item=this.findById(idArray[i]);
			if(item!=false){
				datalist.push(this.datas[i]);
			}
		}
		return datalist;
	},
	//获取 指定分组下的 可选服务对象。
	selectByGroup:function(ids,groupid){
		if(typeof(groupid)=="undefined" || groupid==""){
			 groupid=this.getGroupId(ids);
		}
		var idArray= ids.split(",");
		var datalist=[];
		for(var i=0;i<idArray.length;i++){
			var item=this.findById(idArray[i]);
			if(item!=false && item.group==groupid){
				datalist.push(item);
			}
		}
		return datalist;
	},
	//获取全部服务对象类表
	getAllDatas:function(){
		return this.datas;
	}
	
};
