function getName(str) {
	var attr = str.split("\\");
	return attr[attr.length - 1]
}

function setState(num, title) {
	//设置步骤条当前位置
	setStep(num);
	//设置头部文字
	setTitle(title);
}

function checkConfirmForm() {
	//判断所有必填项是否已经填写
	var flag = true;

	for(var i = 0; i < $("[data-input='true']>input").length; i++) {
		if($("[data-input='true']>input").eq(i).val() == '') {
			flag = false;
		} else {
			setParam($("[data-input='true']>input").eq(i));
		}
	}
	if(params["sxlb"] == null || params["sxlb"] == "" || params["sxlb"] == null) {
		flag = false;
	}
	if(params["sbrzjlx"] == null || params["sbrzjlx"] == "" || params["sbrzjlx"] == null) {
		flag = false;
	}
	return flag;
}

function setParam(self) {
	var param = self.parent("a").parent("li").attr("data-from");
	var value = $(self).val();
	params[param] = value;
}

function resetJSon(str) {
	var datas = [];
	for(var item in str) {
		var data = {}
		data["id"] = str[item].id;
		data["itemguid"] = str[item].itemguid;
		data["materialexampletable"] = str[item].materialexampletable;
		if(data["materialexampletable"]) {
			var fileitem = data["materialexampletable"].split(",/")
			var datasFiles = [];
			for(var fitem in fileitem) {
				var datasFile = {};
				if(fitem != 0) {
					datasFile["url"] = config.service.governmentFile + "/" + fileitem[fitem]

				} else {
					datasFile["url"] = config.service.governmentFile + fileitem[fitem]
				}
				var urlStr = datasFile["url"].toLowerCase();
				datasFile["type"] = (urlStr.search("jpg") != -1 || urlStr.search("jpeg") != -1 || urlStr.search("png") != -1 || urlStr.search("gif") != -1 || urlStr.search("bmp") != -1) ? "1" : "0";
				datasFiles.push(datasFile)
			}
			data["exampleitem"] = datasFiles;
		}
		data["materialformat"] = str[item].materialformat;
		data["materialname"] = str[item].materialname;
		data["ordernumber"] = str[item].ordernumber;
		data["page_num"] = str[item].page_num;
		data["typeone"] = str[item].typeone;
		data["typethree"] = str[item].typethree;
		data["typetwo"] = str[item].typetwo;
		data["zzfyj_page_num"] = str[item].zzfyj_page_num;
		datas.push(data);
	}
	return datas;
}

function initWebData() {
	mui.axiosService(jztService("gov/service/materia/info/" + code), {}, {
		"success": function(response) {
			var fileID = []; //需上传的文件id数组
			value.persiondatalist = resetJSon(response.data);
			sumFile = value.persiondatalist.length;
			for(var i = 0; i < sumFile; i++) {
				filesUrl[i] = "";
			}
			for(var i = 0; i < sumFile; i++) {
				var fileList = [];
				fileID.push(response.data[i].id);
				files.push(fileList);
			}
			fileDetail["fileID"] = fileID;
		},
		"error": function(error) {

		}
	}, "get")

	mui.axiosService(jztService("gov/service/enchiridion/info?itemcode=" + code + "&type="), {}, {
		"success": function(response) {
			value.materiallist = response.data.sxclxxList
			responseData = response.data
			$(".top .title").text(responseData.ql_NAME_YW);
			$(".top .company").text("实施主体:" + responseData.jdjg);
			$("#one .must .content").text(responseData.syfw);
//			if(responseData.ql_OBJECT && responseData.ql_OBJECT.indexOf("20") != -1) params["sfqy"] = "20"; //个人办事(2018-11-1更改写死)

			//获取证件类型接口
			mui.axiosService(jztService("gov/dic/credentialstype"), {}, {
				"success": function(response) {
					value.listform = setFormJSON(responseData);
					mui("#two").on("tap", "li", function() {
						var _self = this;
						mui("#two").on('tap', '.mui-switch', function() {
							event.stopPropagation();
						});
						var persionPicker;
						if(from == '' || from == null || from == undefined) {
							persionPicker = gov_Config.selectByGroup(responseData.ql_OBJECT,1)
						} else {
							if(from.indexOf(","!=-1)){
								persionPicker = gov_Config.selectByGroup(responseData.ql_OBJECT,1)
							}else{
								persionPicker = gov_Config.selectByGroup(from);
							}
						}
						if($(this).attr('data-from') == 'persion') {
							initPickerNoId(1, persionPicker, {
								'onClickResult': function(data, index) {
									params["sfqy"] = index;
									$(_self).children("a").children("span").eq(2).text(data)
								}
							}, true)
						}
						if($(this).attr('data-from') == 'type') {
							initPickerNoId(1, getJsonArr(response.data), {
								'onClickResult': function(data, index) {
									params["sbrzjlx"] = index;
									$(_self).children("a").children("span").eq(2).text(data)
									console.log(params)
								}
							}, true)
						}
					})
					
				},
				"error": function(error) {

				}
			}, "get");

			params["cnsx"] = responseData.promise_DAY;
			//			params["sfqy"] = responseData.ql_OBJECT;
			params["ywzt"] = "1";
			params["bllx"] = responseData.bjtype;
			params["slbm"] = responseData.idorg;
			params["sxlb"] = responseData.ql_KIND;
			params["sbrzjlx"] = "1";
			console.log(params)
		},
		"error": function(error) {

		}
	}, "get")
}
/**
 * 根据数组返回符合单选格式的json数组(职权类型)
 * @param {Object} str 数组
 */
function getJsonArr(str) {
	var datas = [];
	for(var item in str) {
		var data = {};
		data["index"] = str[item].itemvalue;
		data["text"] = str[item].itemname;
		datas.push(data);
	}
	return datas;
}

function commitForm() {
	mui.axiosService(jztService("gov/handleinfo/add"), params, {
		"success": function(response) {
			if(response.code == "0") {
				$("#result").text("您已经成功申报,请关注“办件中心”,跟踪办件状态。")
			}
			if(response.code == "1") {
				$("#result").text("申报失败,请稍后重试！")
			}
		},
		"error": function(error) {
			$("#result").text("申报失败,请稍后重试！")
		}
	}, "post")
}

function getParams() {
	var list = [];
	for(var i = 0; i < files.length; i++) {
		list[i] = {};
		list[i]["serId"] = guid;
		list[i]["attachment"] = filesUrl[i];
		list[i]["materialId"] = fileDetail["fileID"][i];
		for(var j = 0 in files[i]) {
			var aaa = files[i][j];
			if(files[i][j] != "") {
				if(j == 0) {
					list[i]["materialName"] = files[i][j];
				} else {
					list[i]["materialName"] += "," + files[i][j];
				}
			}

		}
	}
	params["list"] = list;
}

function addListener() {
	mui("#three").on("tap", ".add-bottom .button.upload.new", function() {
		fileIndex = $(this).attr("data-index");
		if(mui.os.ios) {
			app.uploadImage(true, "getPicBase64");
		} else if(mui.os.android) {
			showPicChoose();
		}

	});
	mui("#three").on("tap", ".li-button", function() {
		$(this).parent("div").parent("li").remove();
		console.log($.inArray($(this).siblings().text(), files));
		files.splice($.inArray($(this).siblings().text(), files), 1);
		if(fileIndex == 0) {
			//			value.persiondatalist[fileIndex].typetwo = true;
		}
		console.log(files)
	});
	var itemStatelist = [];
	for(var i = 0; i < sumFile; i++) {
		itemStatelist.push(false);
	}
	mui("#three").on("tap", "input[type='checkbox']", function() {
		if($(this).attr("data-index") == "all") {
			var allState = !$(this).prop("checked");
			for(var i = 0; i < sumFile; i++) {
				if(!value.persiondatalist[i].typeone) {
					if(!$(this).prop("checked")) {
						if(value.persiondatalist[i].typetwo == true) {
							value.persiondatalist[i].typetwo = true;
							value.persiondatalist[i].typethree = false;
						}
					} else {
						if(value.persiondatalist[i].typetwo == true) {
							value.persiondatalist[i].typetwo = true;
							value.persiondatalist[i].typethree = true;
						}
					}
				}
			}
			//解决渲染未完成时出现显示错误问题
			setTimeout(function() {
				$('#three input[type="checkbox"]').each(function() {
					console.log($('#three input[type="checkbox"]'));
					if($(this).attr("data-index") == "all") {
						for(var i = 0; i < value.persiondatalist.length; i++) {
							value.persiondatalist[i].innerdata = [];
							files = [];
							for(var i = 0; i < sumFile; i++) {
								var fileList = [];
								files.push(fileList);
							}
						}
					}
					if($(this).attr("data-index") != "all") {
						if(allState) {
							$(this).prop("checked", true);
						} else {
							$(this).prop("checked", false);
						}
					}
				})
			}, 1)
		} else {
			var allCheck = true;
			for(var i = 0; i < sumFile; i++) {
				var index = $(this).attr("data-index");
				if(value.persiondatalist[i].typeone) {
					itemStatelist[i] = true;
					break;
				}
				if(!$(this).prop("checked")) {
					value.persiondatalist[index].typetwo = true;
					value.persiondatalist[index].typethree = false;
				} else {
					value.persiondatalist[index].typetwo = true;
					value.persiondatalist[index].typethree = true;
				}
				if(index == "" + i) {
					itemStatelist[i] = !$(this).prop("checked");
				}
			}
			for(var i = 0; i < itemStatelist.length; i++) {
				if(!itemStatelist[i]) {
					allCheck = false;
				}
			}
			if(allCheck) {
				$("input[data-index='all']").prop("checked", true);
			} else {
				$("input[data-index='all']").prop("checked", false);
			}
		}
	})

	mui("body").on("tap", ".next", function() {
		var state = $(this).attr("data-index");
		switch(state) {
			case "1":
				var state = $(".verification input").is(':checked')
				if(state) {
					//设置步骤条当前位置、头部文字
					setState(1, "个人办事-基本信息");
					$("#one").addClass("mui-hidden");
					$("#two").removeClass("mui-hidden");
					$("#three").addClass("mui-hidden");
					$("#four").addClass("mui-hidden");
				} else {
					mui.toast("请勾选以上申报须知我已了解")
				}
				break;
			case "2":
				if(!$("#two input[type='checkbox']").is(':checked')) {
					mui.toast("请勾选确认此信息！")
				} else {
					if(checkConfirmForm()) {
						if(params["sfqy"] == '' || params["sfqy"] == null || params["sfqy"] == undefined) {
							mui.toast("服务对象类型错误!");
							return;
						}
						//设置步骤条当前位置、头部文字
						setState(2, "个人办事-申报材料");
						$("#one").addClass("mui-hidden");
						$("#two").addClass("mui-hidden");
						$("#three").removeClass("mui-hidden");
						$("#four").addClass("mui-hidden");
					} else {
						mui.toast("请填写或选择必填项！")
					}
				}

				break;
			case "3":
				getParams();
				if(!isFormAll()) {
					mui.toast("请完善提交材料!")
				} else {
					var btnArray = ['否', '是'];
					mui.confirm('请确认以上材料', '提示', btnArray, function(e) {
						if(e.index == 1) {
							//设置步骤条当前位置、头部文字
							setState(3, "个人办事-申报告知");
							$("#one").addClass("mui-hidden");
							$("#two").addClass("mui-hidden");
							$("#three").addClass("mui-hidden");
							$("#four").removeClass("mui-hidden");
							commitForm();
						}
					})
				}

				break;
			default:
				break;
		}
	})

	function isFormAll() {

		for(var i = 0; i < sumFile; i++) {
			if(filesUrl[i] == "") {
				return false;
			}
		}
		return true;
	}
	mui("#four").on("tap", ".toMyMatter", function() {
		app.createNewView(true, "1", "view/government/myBusiness.html")
	})
	mui("#two").on("tap", ".mui-switch", function() {
		if(mui(".mui-switch").switch().classList.length == 1) {
			//代办
			$("#two li[data-from='sbrdw']").children("a").children("input").val("")
			$("#two li[data-from='type']").removeClass("mui-hidden")
			$("#two li[data-from='sfzh']").removeClass("mui-hidden")
			$("#two li[data-from='sfzh']").children("a").children("input").val("")
			$("#two li[data-from='type']").children("a").children("span").eq(2).text("")
		} else if(mui(".mui-switch").switch().classList.length == 2) {
			//个人
			$("#two li[data-from='type']").addClass("mui-hidden")
			$("#two li[data-from='sfzh']").addClass("mui-hidden")
			$("#two li[data-from='type']").children("a").children("span").eq(2).text(jztGetSaveUserInfo(2) == "2" ? "军官证" : "身份证")
			$("#two li[data-from='sfzh']").children("a").children("input").val(jztGetSaveUserInfo(3) == "" ? "" : jztGetSaveUserInfo(3))
			$("#two li[data-from='sbrdw']").children("a").children("input").val(jztGetSaveUserInfo(1) == "" ? "" : jztGetSaveUserInfo(1))
		}
	})
	mui("#two").on("tap", "ul>li.mui-table-view-cell", function() {
		if($(this).children("a").attr("data-input") == "true") {
			inputFocus = $(this).children("a").children("input")
			inputFocus.focus();
		}
		if($(this).children("a").attr("data-switch") == "true") {

			if(mui(".mui-switch").switch().classList.length == 2) {
				//代办
				$("#two li[data-from='sbrdw']").children("a").children("input").val("")
				$("#two li[data-from='type']").removeClass("mui-hidden")
				$("#two li[data-from='sfzh']").removeClass("mui-hidden")
				$("#two li[data-from='sfzh']").children("a").children("input").val("")
				$("#two li[data-from='type']").children("a").children("span").eq(2).text("")
			} else if(mui(".mui-switch").switch().classList.length == 1) {
				//个人
				$("#two li[data-from='type']").addClass("mui-hidden")
				$("#two li[data-from='sfzh']").addClass("mui-hidden")
				$("#two li[data-from='type']").children("a").children("span").eq(2).text(jztGetSaveUserInfo(2) == "2" ? "军官证" : "身份证")
				$("#two li[data-from='sfzh']").children("a").children("input").val(jztGetSaveUserInfo(3) == "" ? "" : jztGetSaveUserInfo(3))
				$("#two li[data-from='sbrdw']").children("a").children("input").val(jztGetSaveUserInfo(1) == "" ? "" : jztGetSaveUserInfo(1))
			}
			mui(".mui-switch").switch().toggle();
		}
		if($(this).children("a").attr("data-check") == "true") {
			var check = $(this).children("a").children("input");
			if(inputFocus) {
				inputFocus.blur();
			}
			if(check.prop("checked")) {　　　　
				check.prop("checked", false);　　
			} else {　　　　
				check.prop("checked", true);　　
			}
		}
	})
}

function upLoadFile(base64) {
	var file_name = new Date().valueOf()
	mui.axiosService(jztFileService("upload/uploadfilebase64/gov/" + file_name + "/jpeg"), {
		file: encodeURIComponent("data:img/jpg;base64," + base64)
	}, {
		"success": function(response) {
			console.log(response.data.url)
			if(filesUrl[fileIndex] != "") {
				filesUrl[fileIndex] += "," + response.data.url
			} else if(filesUrl[fileIndex] != undefined) {
				filesUrl[fileIndex] = response.data.url
			}
			imgflag = true;
			popDialogMask.close()
			if(files != []) {
				if(value.persiondatalist[fileIndex].typetwo) {
					value.persiondatalist[fileIndex].typetwo = false;
				}
				//修改数据不更新页面bug
				value.persiondatalist[fileIndex].typetwo = true;
				value.persiondatalist[fileIndex].typetwo = false;
			}
			var inHtml = '';
			var upload_file = file_name + ".jpeg"; //获取上传文件

			for(var z = 0; z < sumFile; z++) {
				if(fileIndex == z) {
					var fileList = files[z];
					if(fileList.length >= max) {
						mui.toast("最多上传5个文件")
						return;
					}
					fileList.push(upload_file);
					var params = []
					for(var j = 0; j < fileList.length; j++) {
						params.push({
							"name": fileList[j]
						});
					}
					value.persiondatalist[fileIndex].innerdata = params;
				}
			}
		},
		"error": function(error) {
			popDialogMask.close();
			mui.toast("上传失败!");
		}
	}, "post");
}

function getPicBase64(base64) {
	upLoadFile(base64)
}